package com.neusoft.smart.pos.dto.card.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class CardOrderInfoResponse {
    private String orderNo;
    private Long amount;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date time;

    private String channel;  //卡交易状态
}
