package com.neusoft.smart.pos.dto.device.request;


import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class DeviceQueryRequest extends AbstractQuery {
	
	private String macAddr;
	
	private String serialNo;
	
	private String curVersion;
	
	private String manufacturer;
	
	private String region;
	
	private String department;
	
	private String customer;
	
	private String deviceType;
	
	private String deviceModel;
	
	private String alias;
	
	private Integer status;
	
	private Integer organizationId;
	
	private List<Integer> ids;
	
	private List<Integer> storeIds;
	
	private Boolean excludeDeleted = true;
	
	private Boolean isStoreUserQueryWithoutStoreId = false;
	
}
