package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
abstract public class BaseGetGoodsListRequest {
    
    @ApiModelProperty(hidden = true)
    protected Integer org;
    
    @ApiModelProperty(value = "门店id")
    protected Integer store;
    
    @ApiModelProperty(value = "是否上架 1: 上架 0: 下架")
    protected Integer onSale;
    
    @ApiModelProperty(value = "offset")
    protected Integer offset;
    
    @ApiModelProperty(value = "limit")
    protected Integer limit;
}
