package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class GetCategoriesRequest {
    
    @NotNull
    @ApiModelProperty(value = "是否删除  1:是, 0:否")
    private Integer deleted;
    
    @ApiModelProperty(value = "预设类别")
    private Integer preset;
    
    @ApiModelProperty(hidden = true)
    private Integer org;
    
    @ApiModelProperty(value = "门店id")
    private Integer shop;
    
    @ApiModelProperty(value = "门店id")
    private Integer store;
    
    @ApiModelProperty(value = "父类别id")
    private Integer parent;
}
