package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class GetTagsRequest {
    
    @ApiModelProperty(value = "集团id")
    private Integer org;
    
    @ApiModelProperty(value = "门店id")
    private Integer shop;
    
    @NotNull
    private Integer type;
    
    @NotNull
    private Integer industry;
}
