package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class GoodsApprovalRequest {

//	@NotNull(message = "审批id")
//	@ApiModelProperty(value = "审批id", required = true)
//	private Integer id;
    
    @NotEmpty(message = "审批id集合不可为空")
    @ApiModelProperty(value = "审批id集合", required = true)
    private List<Integer> ids;
    
    @NotNull(message = "审批状态不可为空")
    @ApiModelProperty(value = "审批状态 1 通过  2 拒绝", required = true)
    private Integer approvalStatus;
    
    @ApiModelProperty(value = "审批意见")
    private String opinion;
}
