package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class InventoryStoreRequest {
    
    private Integer shopId;
    
    @NotNull
    private Integer offset;
    
    @NotNull
    private Integer limit;
    
    private Boolean isPage;
    
    private String goodsBarCode;
    
    private String goodsName;
    
    private Integer goodsCategory;
    
    private Integer supplierId;
    
    private String operator;
    
    @ApiModelProperty(name = "startDate", value = "开始日期(大于等于)", dataType = "String", example = "2018-05-24")
    private String startDate;
    
    @ApiModelProperty(name = "endDate", value = "结束日期(小于等于)", dataType = "String", example = "2018-05-24")
    private String endDate;
}
