package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class PostUpdateMenuRequest extends CreateMenuRequest {
    
    @NotNull(message = "菜品id不能为空")
    @ApiModelProperty(value = "菜品id", required = true)
    private Integer id;
}
