package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class UpdateTagRequest {
    
    @ApiModelProperty(value = "类别名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "门店id")
    private Integer shop;
    
    @NotNull(message = "行业不能为空")
    @ApiModelProperty(value = "行业 餐饮: 1", required = true)
    private Integer industry;
    
    private Integer type;
}
