package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

@ApiModel
@Data
public class FullMenuResponse extends BaseMenuResponse {
    
    @ApiModelProperty(value = "类别名称")
    private String cateName;
    
    @ApiModelProperty(value = "菜品标签 id => name")
    private Map<Integer, String> tags;
    
    public FullMenuResponse(InventoryGoodsResponse goodsMenu, Map<Integer, String> tags) {
        super(goodsMenu);
        cateName = goodsMenu.getCateName();
        this.tags = tags;
    }
}
