package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class InventoryCategoryTreeResponse {
    
    private Integer id;
    
    private Integer parentId;
    
    private String name;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer deleted;
    
    private Integer priority;
    
    @ApiModelProperty(value = "子类别集合")
    private List<InventoryCategoryTreeResponse> children = new ArrayList<>();
    
}
