package com.neusoft.smart.pos.dto.inventory.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class InventoryCheckStockListResponse {
    
    private Integer total;
    
    private List<Entry> data;
    
    @Data
    public static class Entry {
        
        private Integer id;
        
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date time;
        
        private String operator;
    }
}
