package com.neusoft.smart.pos.dto.inventory.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class InventoryStoreHistoryResponse {
    
    private Integer total;
    
    private List<Entry> data;
    
    @Data
    public static class Entry {
        
        private Integer id;
        
        private String goodsBarCode;
        
        private String goodsName;
        
        private String goodsCategory;
        
        private BigDecimal residueNum;
        
        private BigDecimal varNum;
        
        private BigDecimal inPrice;
        
        private BigDecimal salePrice;
        
        private String actionType;
        
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date createdTime;
        
        private BigDecimal newInventoryAmount;
        
        private BigDecimal newStorageNum;
    }
}
