package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PosCategoryGoodsResponse {
    
    @ApiModelProperty(value = "类别ID")
    protected Integer id;
    
    @ApiModelProperty(value = "类别名称")
    protected String category;
    
    @ApiModelProperty(value = "菜单列表")
    protected List<Menu> menuList;
    
    @Data
    @ApiModel
    public static class Menu {
        
        @ApiModelProperty(value = "菜品ID")
        protected Integer id;
        
        @ApiModelProperty(value = "菜品名")
        protected String name;
        
        @ApiModelProperty(value = "菜品价格")
        protected Double price;
        
        @ApiModelProperty(value = "图片")
        protected String image;
    }
}
