package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class PosMenuResponse {
    
    @ApiModelProperty(value = "菜品id")
    protected Integer id;
    
    @ApiModelProperty(value = "菜品名")
    protected String name;
    
    @ApiModelProperty(value = "菜品价格")
    protected BigDecimal price;
    
    @ApiModelProperty(value = "菜品类别id")
    protected Integer category;
    
    @ApiModelProperty(value = "图片")
    protected String image;
    
    @ApiModelProperty(value = "类别名称")
    private String cateName;
    
    @ApiModelProperty(value = "菜品标签 name1|name2")
    private String tags;
}
