package com.neusoft.smart.pos.dto.member.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class MemberCapitalChangeQueryRequest extends AbstractQuery {
	
	
	private String changeOrderId;
	
	@ApiModelProperty(name = "day", value = "查询日期", dataType = "String", example = "2018-03-18")
	private String day;
	
	@ApiModelProperty(name = "changeType", value = "变更状态", dataType = "Integer", example = "0")
	private Integer changeType;
	
	@ApiModelProperty(name = "changeTypes", value = "变更状态s", dataType = "List<Integer>", example = "[0,1]")
	private List<Integer> changeTypes;
	
	@ApiModelProperty(name = "memberCardId", value = "会员卡id", dataType = "Integer", example = "12")
	private Integer memberCardId;
	
	@ApiModelProperty(name = "memberId", value = "会员id", dataType = "String", example = "xxxx-xxx-xxx")
	private Integer memberId;
	
}
