package com.neusoft.smart.pos.dto.member.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class MemberCapitalChangeResponse {
	
	private Integer amountChangeId;
	
	private String memberName;
	
	private String memberMobile;
	
	private String memberOpenId;
	
	private Integer memberCardId;
	
	private String changeOrderId;
	
	private BigDecimal amountChange;
	
	private BigDecimal amountBefore;
	
	private BigDecimal amountAfter;
	
	private Integer pointChange;
	
	private Integer pointBefore;
	
	private Integer pointAfter;
	
	private Integer changeType;

	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	private Date changeTime;
	
	private Integer isActive;
	
	private String content;
	
	private Date createdTime;
	
	private String createdBy;
}