package com.neusoft.smart.pos.dto.member.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class MemberResponse {
	
	protected Integer id;
	
	protected String openid;
	
	protected String name;
	
	protected Integer org;
	
	protected Integer store;
	
	protected String mobile;
	
	protected Date birthday;
	
	protected Integer gender;
	
	protected String address;
	
	protected String avatar;
	
	protected Integer isActive;
	
	protected String content;
	
	protected String memberEmail;
	
	protected String memberCode;  //员工卡号
	
	protected Integer memberType;

	protected Integer memberLevelId;
	
	//member关联的用户ID，如果不是线上会员，该id为null
	protected Integer userId;
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	protected Date createdTime;
}
