package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel
public class CouponsAndDiscountRequest {

    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String", example = "005")
    private String orderNumber;

    @ApiModelProperty(name = "deviceSN", value = "设备ID,pos机的SN号", dataType = "String", example = "213123123")
    private String deviceSN;

    @ApiModelProperty(name = "discountAmount", value = "折扣金额", dataType = "Long", example = "1000")
    private Long discountAmount;

    @ApiModelProperty(name = "couponsAmount", value = "优惠卷金额", dataType = "Long", example = "1000")
    private Long couponsAmount;

    @ApiModelProperty(name = "couponsRequestString", value = "优惠卷支付参数", dataType = "String")
    private String couponsRequestString;

    @ApiModelProperty(name = "buyerId", value = "买家会员Id", dataType = "String")
    private String buyerId;
}
