package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * @author tongmg
 * @date 2020-02-12 16：43
 * @description 生成支付订单预付单Request
 */
@Data
@ApiModel
public class PostDoPayOrderRequest {
    @ApiModelProperty(name = "deviceSN", value = "设备SN", dataType = "String",example="948626387918")
    private String deviceSN;

    @ApiModelProperty(name = "tradeId", value = "支付订单编号", dataType = "String",example="948626387918")
    private String tradeId;

    @ApiModelProperty(name = "prePayParameter", value = "支付类型", dataType = "String",example="30")
    private String prePayParameter;
}
