package com.neusoft.smart.pos.dto.order.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2020-02-24 16：43
 * @description 订单退款结果使用Request
 */
@Data
@ApiModel
public class SetRefundResultRequest {
    @ApiModelProperty(name = "payOrderId", value = "支付订单Id", dataType = "String",example="948626387918")
    private String payOrderId;

    @ApiModelProperty(name = "payRefundOrderId", value = "退款支付订单Id", dataType = "String",example="948626387918")
    private String payRefundOrderId;

}
