package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class GetOrderInfoResponse {
    @ApiModelProperty(name = "id", value = "主键", dataType = "Integer" ,example="2")
    private Integer id;

    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,example="820841382841")
    private String orderNumber;

    @ApiModelProperty(name = "orgId", value = "组织机构Id", dataType = "Integer" ,example="122")
    private Integer orgId;

    @ApiModelProperty(name = "shopId", value = "门店Id", dataType = "Integer" ,example="122")
    private Integer shopId;

    @ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="NSPSA110GW174920069")
    private String serialNo;

    @ApiModelProperty(name = "customerNumber", value = "操作员编号", dataType = "String" ,example="12251212")
    private String customerNumber;

    @ApiModelProperty(name = "seqNo", value = "订单序号(每日0点重置)", dataType = "Integer" ,example="1")
    private Integer seqNo;

    @ApiModelProperty(name = "orderAmount", value = "订单应付金额(实付金额+折扣金额)", dataType = "Long" ,example="1")
    private Long orderAmount;

    @ApiModelProperty(name = "orderStatus", value = "订单状态", dataType = "String" ,example="1")
    private String orderStatus;

    @ApiModelProperty(name = "orderType", value = "订单类型@1正常订单@2POS端补录订单@3会员卡充值订单@4微信点餐订单", dataType = "String" ,example="1")
    private String orderType;

    @ApiModelProperty(name = "locationNo", value = "位置编号(如桌号等)", dataType = "String" ,example="1")
    private String locationNo;

    @ApiModelProperty(name = "timeExpire", value = "订单失效时间", dataType = "Date" ,example="2")
    private Date timeExpire;

    @ApiModelProperty(name = "version", value = "版本号(乐观锁)", dataType = "Integer" ,example="2")
    private Integer version;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;
}
