package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-06 16：43
 * @description 创建预付单Response
 */

@Data
@ApiModel
public class PostDoPayOrderResponse {
    @ApiModelProperty(name = "prePayResult", value = "预付单需要参数", dataType = "String", example = "")
    public String prePayResult;

    @ApiModelProperty(name = "payStatus", value = "支付状态", dataType = "String", example = "")
    public String payStatus;

    @ApiModelProperty(name = "paidTime", value = "支付时间", dataType = "String", example = "")
    public String paidTime;
}