package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-06 16：43
 * @description 退款订单取消使用Response
 */
@ApiModel
@Data
public class PutCancelRefundOrderResponse {
    @ApiModelProperty(name = "isSuccess", value = "退款订单取消是否更新成功@false:失败@true:成功", dataType = "boolean" ,example="true")
    public Boolean isSuccess;

    public PutCancelRefundOrderResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }
}
