package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel
@Data
@NoArgsConstructor
public class ThirdTransGetOrderStatusResponse {
    @ApiModelProperty(name = "orderNo", value = "订单编号", dataType = "String" ,example="810825487965")
    public String orderNo;

    @ApiModelProperty(name = "orderCode", value = "订单结果码", dataType = "String" ,example="00成功，01失败")
    public String orderCode;

    @ApiModelProperty(name = "orderMessage", value = "订单结果描述", dataType = "String" ,example="2099")
    public String orderMessage;

    @ApiModelProperty(name = "transNo", value = "招行APP支付唯一流水号", dataType = "String" ,example="2099")
    public String transNo;
}
