package com.neusoft.smart.pos.dto.org.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class PutOrgRequest implements Serializable {
	@ApiModelProperty(name = "id", value = "ID", dataType = "Integer" ,example="1")
    private Integer id;

    @ApiModelProperty(name = "name", value = "集团名称", dataType = "String" ,example="东软集团")
    private String name;

    @ApiModelProperty(name = "linkman", value = "联系人", dataType = "String" ,example="张三")
    private String linkman;

    @ApiModelProperty(name = "phone", value = "联系电话", dataType = "String" ,example="1352254658")
    private String phone;

    @ApiModelProperty(name = "comment", value = "集团简介", dataType = "String",example="集团描述")
    private String comment;
    
    @ApiModelProperty(name = "shopnum", value = "门店数量", dataType = "Integer",example="1")
    private Integer shopnum;
    
    @ApiModelProperty(name = "posnum", value = "POS数量", dataType = "Integer",example="1")
    private Integer posnum;
    
    @ApiModelProperty(name = "status", value = "状态", dataType = "String",example="1")
    private String status;

    @ApiModelProperty(name = "type", value = "类型", dataType = "String" ,example="1")
    private String type;
}