package com.neusoft.smart.pos.dto.org.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class CityRegionDictResponse implements Serializable {
    @ApiModelProperty(name = "transactionId", value = "ID", dataType = "Integer")
    private Integer transactionId;

    @ApiModelProperty(name = "regionNumber", value = "区域代码", dataType = "Integer")
    private Integer regionNumber;

    @ApiModelProperty(name = "parentNumber", value = "上级代码", dataType = "Integer")
    private Integer parentNumber;

    @ApiModelProperty(name = "regionName", value = "名称", dataType = "String")
    private String regionName;

    @ApiModelProperty(name = "shortName", value = "短名称", dataType = "String")
    private String shortName;

    @ApiModelProperty(name = "level", value = "级别", dataType = "Integer")
    private Integer level;

    @ApiModelProperty(name = "isEnable", value = "可用", dataType = "Integer")
    private Integer isEnable;
}