package com.neusoft.smart.pos.dto.org.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel
public class PostOrgGroupResponse implements Serializable {

    @ApiModelProperty(name = "id", value = "组织ID", dataType = "Integer" ,example="2")
    private Integer id;

    @ApiModelProperty(name = "name", value = "组织名称", dataType = "String" ,example="XX集团、 YY店铺")
    private String name;

    @ApiModelProperty(name = "description", value = "组织描述", dataType = "String" ,example="这是一个报表联合体")
    private String description;

    @ApiModelProperty(name = "status", value = "状态", dataType = "String" ,example="1：激活， 0：失活")
    private String status;

    @ApiModelProperty(name = "reserved1", value = "预留字段1", dataType = "String" ,example="预留字段1")
    private String reserved1;

    @ApiModelProperty(name = "reserved2", value = "预留字段2", dataType = "String" ,example="预留字段2")
    private String reserved2;

    @ApiModelProperty(name = "reserved3", value = "预留字段3", dataType = "String" ,example="预留字段3")
    private String reserved3;

    @ApiModelProperty(name = "createDate", value = "创建日期", dataType = "String",example = "2018-03-01")
    private String createDate;

    @ApiModelProperty(name = "entityTableName", value = "映射表名", dataType = "String",example = "org_table")
    private String entityTableName;

    @ApiModelProperty(name = "entityTableId", value = "映射表内唯一ID", dataType = "Integer",example="1" )
    private Integer entityTableId;

}