package com.neusoft.smart.pos.dto.org.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class PostOrgResponse implements Serializable {

    @ApiModelProperty(name = "id", value = "集团ID", dataType = "Integer" ,example="2")
    private Integer id;

    @ApiModelProperty(name = "name", value = "集团名称", dataType = "String" ,example="东软集团")
    private String name;

    @ApiModelProperty(name = "linkman", value = "集团联系人", dataType = "String" ,example="张三")
    private String linkman;

    @ApiModelProperty(name = "phone", value = "联系电话", dataType = "String" ,example="1352254555")
    private String phone;

    @ApiModelProperty(name = "comment", value = "描述", dataType = "String" ,example="描述信息")
    private String comment;

    @ApiModelProperty(name = "createDate", value = "创建日期", dataType = "String",example = "2018-03-01")
    private String createDate;

    @ApiModelProperty(name = "shopnum", value = "门店数", dataType = "Integer",example="1" )
    private Integer shopnum;

    @ApiModelProperty(name = "posnum", value = "POS数", dataType = "Integer",example="1" )
    private Integer posnum;
    
    @ApiModelProperty(name = "type", value = "类型", dataType = "String" ,example="1")
    private String type;

}