package com.neusoft.smart.pos.dto.ota.request;

import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

@Data
public class ApkVersionRequest {
	
	private Integer id;
	
	@NotNull(message = "app主键")
	private Integer appId;
	@NotEmpty(message = "apk名称")
	private String apkName;
	@NotNull(message = "apk大小")
	private Integer apkSize;
	@NotEmpty(message = "apk版本")
	private String apkVersion;
	@NotEmpty(message = "apk下载路径")
	private String apkDownloadPath;
	
	private String apkReleaseNote;
	
}