package com.neusoft.smart.pos.dto.ota.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class UpgradeHistoryRequest {
	
	private Integer id;
	
	@NotNull(message = "设备id不可为空")
	@ApiModelProperty(name = "deviceId", value = "设备id", dataType = "Integer", example = "1", required = true)
	private Integer deviceId;
	
	@NotNull(message = "更新前版本不可为空")
	@ApiModelProperty(name = "prevVersion", value = "更新前版本", dataType = "String", example = "1.0.0", required = true)
	private String prevVersion;
	
	@NotNull(message = "更新版本不可为空")
	@ApiModelProperty(name = "curVersion", value = "更新版本", dataType = "String", example = "1.0.1", required = true)
	private String curVersion;
	
}
