package com.neusoft.smart.pos.dto.ota.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class UpgradePackageQueryRequest extends AbstractQuery {
    
    private Integer pdaVersionFrom;//熙康pda升级包开始版本
    
    private String versionCode;
    
    private String manufacturer;
    
    private String deviceType;
    
    private String deviceModel;
    
    private String customer;
    
    private String startDate;
    
    private String endDate;
    
    private Integer[] statusArr;
    
    private String versionSuffix;

//	private Boolean orderBySubversion = false;
    
    private Integer organizationId;
    
    private List<Integer> ids;
    
}
