package com.neusoft.smart.pos.dto.ota.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class AppInfoResponse {
    
    private Integer id;
    
    private String appName;
    
    private String appPackage;
    
    private String appSign;
    
    private String appDescription;
    
    private Integer createBy;
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    
    private Integer organizationId;
    
    private Integer status;
    
    private String apkName;
    
    private Integer apkSize;
    
    private String apkVersion;
    
    private String apkReleaseNote;
    
    
}