package com.neusoft.smart.pos.dto.payment.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-31 15：52
 * @description 商户支付渠道删除使用Request
 */
@Data
@ApiModel
public class DeletePayChannelRequest {

	@ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,example="1",required=true)
	private String mcode;

	@ApiModelProperty(name = "payType", value = "支付方式(@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付)", dataType = "String" ,example="1",required=true)
	private String payType;

}
