package com.neusoft.smart.pos.dto.payment.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-05-02 09：52
 * @description 预付单信息撤销使用Request
 */
@Data
@ApiModel
public class PostReverseOrderRequest {

	@ApiModelProperty(name = "mcode", value = "商户号(聚合支付平台提供)", dataType = "String" ,example="NEU226104452154865",required=true)
	private String mcode;

	@ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String" ,required=true)
	private String orderNumber;

	@ApiModelProperty(name = "sign", value = "签名(MD5加密字符串)", dataType = "String" ,example="5CFB108E5A9CAA78B141251BC2BD7F74",required=true)
	private String sign;
}
