package com.neusoft.smart.pos.dto.payment.response;

import lombok.Data;

import java.io.Serializable;

@Data
public class FumaoPaymentData implements Serializable {
    // 会员折扣
	private String merchantID;				//商户ID
    private String memberID;			//会员ID
    private String l1Title;		//支付标题1
    private String l2Title;		//支付标题2

    //优惠券
    private String cuponID;         //优惠券ID
    private String cuponDescription;    //优惠券描述
    private String isSelected;         //是否选择使用该优惠券

    //扫码支付
    private  String scanCode;           //二维码/条码信息

    private FumaoPaymentPrediction paymentPrediction;	//支付小结计算
}