package com.neusoft.smart.pos.dto.payment.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-31 15：52
 * @description 商户号申请使用Request
 */
@Data
@ApiModel
public class PostMchInfoResponse {

	@ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,example="NEU201801291052")
	private String mcode;

	@ApiModelProperty(name = "mchName", value = "商户名称", dataType = "String" ,example="1")
	private String mchName;

	@ApiModelProperty(name = "secretKey", value = "商户密钥", dataType = "String" ,example="123456")
	private String secretKey;


}
