package com.neusoft.smart.pos.dto.payorder.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-12 16：43
 * @description 支付订单新增使用Request
 */
@Data
@ApiModel
public class PostCreatePayOrderRequest {
    @ApiModelProperty(name = "orderNumber", value = "订单编号", dataType = "String", example = "005")
    private String orderNumber;

    @ApiModelProperty(name = "payType", value = "支付类型", dataType = "String", example = "1")
    private String payType;

    @ApiModelProperty(name = "payAmount", value = "支付金额", dataType = "Long", example = "18.98")
    private Long payAmount;

    private String requestDetailInfo;
}
