package com.neusoft.smart.pos.dto.payorder.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author tongmg
 * @date 2019-12-05 16：43
 * @description 支付单设置状态Request
 */
@Data
public class PutSetPayOrderStatusRequest {

    @NotNull(message = "支付单编号不能为空")
    @ApiModelProperty(name = "tradeId", value = "支付单编号",example="815326740687", dataType = "String" ,required=true)
    private String tradeId;

    @ApiModelProperty(name = "payOrderStatus", value = "支付单状态1：未付款 2：已付款 ", dataType = "String" ,example="1")
    private String payOrderStatus;
}
