package com.neusoft.smart.pos.dto.payorder.response;

import com.neusoft.smart.pos.framework.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class PutDoRefundResponse {
    @ApiModelProperty(name = "isSuccess", value = "支付单状态是否更新成功@false:失败@true:成功", dataType = "boolean", example = "true")
    public Boolean isSuccess;

    public PutDoRefundResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }

    private String refundNumber;
    private String mOrderNumber;
    private String tradeId;
    private String payRefundOrderNumber;
    private String thirdRefundNumber;
    private String payType;
    private Long refundedAmount;
    private String refundStatus;
    private String refundedTime;

    public void setRefundedTime(Date refundedTime) {
        this.refundedTime = DateUtils.format(refundedTime, DateUtils.FORMAT_LONG);
    }
}
