package com.neusoft.smart.pos.dto.payorder.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zcf
 * @date 2018-05-07 10：43
 * @description 订单撤销使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PutReversePayOrderResponse {

	@ApiModelProperty(name = "isSuccess", value = "订单撤销是否成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	public PutReversePayOrderResponse(Boolean isSuccess){
		this.isSuccess = isSuccess;
	}
}
