package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印规则属性查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterRuleAttributeResponse {
	
	@ApiModelProperty(name = "id", value = "规则属性ID", dataType = "Integer", example = "1")
	public Long id;
	
	@ApiModelProperty(name = "ruleId", value = "规则ID", dataType = "Integer", example = "1")
	public Long ruleId;
	
	@ApiModelProperty(name = "attributeName", value = "规则属性名称", dataType = "String", example = "1")
	public String attributeName;
	
	@ApiModelProperty(name = "attributeValueType", value = "属性值类型@1:单选@2:多选", dataType = "String", example = "1")
	public String attributeValueType;
	
	@ApiModelProperty(name = "printerRuleAttributeValueList", value = "打印规则字典属性值列表", dataType = "List" ,example="1")
	public List<GetPrinterRuleAttributeValueResponse> printerRuleAttributeValueList;
}
