package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印规则属性值查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterRuleAttributeValueResponse {
	
	@ApiModelProperty(name = "id", value = "ID", dataType = "Integer", example = "1")
	public Long id;
	
	@ApiModelProperty(name = "attributeId", value = "规则ID", dataType = "Integer", example = "1")
	public Long attributeId;
	
	@ApiModelProperty(name = "attributeLabel", value = "规则属性标签", dataType = "String", example = "1")
	public String attributeLabel;
	
	@ApiModelProperty(name = "attributeValue", value = "规则属性值", dataType = "String", example = "1")
	public String attributeValue;
	
}
