package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印模板查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterTemplateResponse {
	
	@ApiModelProperty(name = "id", value = "模板ID", dataType = "Integer", example = "1")
	public Long id;
	
	@ApiModelProperty(name = "templateName", value = "模板名称", dataType = "String", example = "1")
	public String templateName;
	
	@ApiModelProperty(name = "beanName", value = "实现类名称", dataType = "String", example = "1")
	public String beanName;
	
	@ApiModelProperty(name = "description", value = "描述", dataType = "String", example = "1")
	public String description;
	
	@ApiModelProperty(name = "templateType", value = "模板类型@1:后结下单模板@2:前结结算模板@3:后结结算模板", dataType = "String", example = "1")
	public String templateType;
	
	@ApiModelProperty(name = "templateTypeName", value = "模板类型名称", dataType = "String", example = "1")
	public String templateTypeName;
	
	@ApiModelProperty(name = "isEnable", value = "是否启用@0未启用@1启用", dataType = "String", example = "1")
	public String isEnable;
	
	@ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "Date", example = "1")
	public Date createdAt;
}
