package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印模板列表查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterTemplateTypesResponse {
	
	@ApiModelProperty(name = "templateType", value = "模板类型@1:后结下单模板@2:前结结算模板@3:后结结算模板", dataType = "String", example = "1")
	public String templateType;
	
	@ApiModelProperty(name = "templateTypeName", value = "模板类型名称", dataType = "String", example = "1")
	public String templateTypeName;
	
	@ApiModelProperty(name = "printerTemplateList", value = "打印模板字典列表", dataType = "List" ,example="1")
	public List<GetPrinterTemplateResponse> printerTemplateList = new ArrayList<>();
	
}
