package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印模板列表查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterTemplatesResponse {

	@ApiModelProperty(name = "printerTemplateList", value = "打印模板字典列表", dataType = "List" ,example="1")
	public List<GetPrinterTemplateTypesResponse> printerTemplateTypeList;
	
}
