package com.neusoft.smart.pos.dto.printer.response;

import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class PostPrinterQueryResponse {
    private Long id;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Long parentId;
    
    private String printerSn;
    
    private String printerName;
    
    private String printerIp;
    
    private String printerPort;
    
    private String printerType;
    
    private String deviceType;
    
    private String printerStatus;
    
    private Integer version;
    
    private Date createdAt;
    
    private String createdBy;
    
    private String updatedBy;
    
    private Date updatedAt;
    
    private List<PostPrinterQueryResponse> linkedPrinters = new ArrayList<>();
}
