package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zcf
 * @date 2018-11-05 09：52
 * @description 账单明细统计查询使用Request
 */
@Data
@ApiModel
public class GetBillDetailsRequest extends AbstractQuery {

	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true ,example="1")
	private Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer" ,example="1")
	private Integer shopId;

	@ApiModelProperty(name = "billNumber", value = "账单编号", dataType = "String" ,example="20180120")
	private String billNumber;

}
