package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-03-05 09：52
 * @description 商户门店订单汇总查询使用Request
 */
@Data
@ApiModel
public class GetShopOrderSummaryRequest extends AbstractQuery {

//	@NotNull(message = "集团编号不能为空")
//	@ApiModelProperty(name = "orgId", value = "集团编号", dataType = "Integer" ,required=true)
//	private Integer orgId;
//
//	@ApiModelProperty(name = "shopId", value = "门店编号", dataType = "Integer")
//	private Integer shopId;
    @ApiModelProperty(name = "startTime", value = "开始时间", dataType = "String")
	private String startTime;
    
    @ApiModelProperty(name = "endTime", value = "结束时间", dataType = "String")
	private String endTime;


}
