package com.neusoft.smart.pos.dto.trade.request;

import lombok.Data;

import java.io.Serializable;

@Data
public class PostGrantPaySuccessNotifyRequest implements Serializable {
    private String mcode;           //商户号
    private String orderNumber;     //业务系统订单编号
    private String payType;         //支付方式@1:微信扫码支付 @2:支付宝扫码支付   @3:支付宝当面资金授权支付   @4:银联二维码支付 @5:微信支付(服务商)
    private String tradeId;         //支付平台交易流水ID
    private String sign;            //签名
    private String outerOrderNumber;     //第三方交易平台流水号
    private String authNo;          //第三方支付平台资金授权订单号
    private String grantAmount;     //授权金额(单位分)
    private String grantTime;         //授权时间，格式为yyyyMMddHHmmss
   
}