package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-03 09：52
 * @description 预付单信息撤销使用Request
 */
@Data
@ApiModel
public class PostReverseGrantRequest {
	
	@ApiModelProperty(name = "serialNo", value = "设备序列号", dataType = "String" ,example="15554512555")
	private String serialNo;
	
	@ApiModelProperty(name = "grantOrderNumber", value = "资金预授权订单编号", dataType = "String" ,required=true)
	private String grantOrderNumber;

}
