package com.neusoft.smart.pos.dto.trade.request;

import lombok.Data;

/**
 * @author zcf
 * @date 2018-05-07 10：43
 * @description 第三方支付单撤销使用Request对象
 */
@Data
public class PostReverseOrderRequest {
	
	private String mcode;	//商户号(聚合支付平台提供)
	private String orderNumber;	//业务系统订单号(在业务系统中唯一)
	private String sign;	//签名(MD5加密字符串)

}
