package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-11-06 10：20
 * @description 商户结算周期信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetBillSettlementCycleResponse implements Serializable {
    
    @ApiModelProperty(name = "id", value = "主键", dataType = "Integer")
    private Integer id;
    
    @ApiModelProperty(name = "cycleType", value = "周期类型@1:月结@2:年结@3:季结@4:周结", dataType = "String")
    private String cycleType;
    
    @ApiModelProperty(name = "billDayType", value = "结算账单日类型@1:自然日@2:结算周期最后一日", dataType = "String")
    private String billDayType;
    
    @ApiModelProperty(name = "billDay", value = "结算账单日(1-28天)", dataType = "Integer")
    private Integer billDay;
    
    @ApiModelProperty(name = "billTime", value = "结算账单日时间(00-24时)", dataType = "Integer")
    private Integer billTime;
    
    @ApiModelProperty(name = "remark", value = "备注", dataType = "String")
    private String remark;
}