package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-02-28 16：20
 * @description 商户未结算信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetNoAcceptBillsResponse implements Serializable {
    
    @ApiModelProperty(name = "taskStatus", value = "结算单生成状态@1:执行中@2:执行完成@3:执行失败", dataType = "list")
    private String taskStatus;
    
    @ApiModelProperty(name = "billList", value = "账单列表", dataType = "list")
    private List<GetBillResponse> billList = new ArrayList<>();
    
}