package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-07-02 09：52
 * @description 商户门店交易统计查询使用Response
 */
@ApiModel
@Data
public class GetShopSummaryPayTypeResponse {
    
    @ApiModelProperty(name = "payType", value = "支付方式编号", dataType = "String" ,example="1")
    public String payType;
    
    @ApiModelProperty(name = "payTypeName", value = "支付方式名称", dataType = "String" ,example="微信支付")
    public String payTypeName;
    
    @ApiModelProperty(name = "orderAmount", value = "消费金额（元）", dataType = "BigDecimal" ,example="198.22")
    public BigDecimal totalAmount = BigDecimal.ZERO;
    
}
