package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zcf
 * @date 2018-12-03 10：43
 * @description 资金预授权订单撤销使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PostReverseGrantResponse {

	@ApiModelProperty(name = "reverseStatus", value = "撤销状态(@1:撤销失败@2:撤销成功)", dataType = "String" ,example="1")
	private String reverseStatus = "2";

}
