package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单支付成功状态更新使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PutOrderPaySuccessResponse {

	@ApiModelProperty(name = "isSuccess", value = "支付状态是否更新成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	@ApiModelProperty(name = "memberBalance", value = "会员卡余额", dataType = "String" ,example="10")
	public String memberBalance;

	@ApiModelProperty(name = "paidTime", value = "支付完成时间", dataType = "String" ,example="2018-07-09 09:40:53")
	public String paidTime;

	public PutOrderPaySuccessResponse(Boolean isSuccess) {
		this.isSuccess = isSuccess;
	}
}
