package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-02-28 16：20
 * @description 商户结算方式更新使用Request
 */
@Data
@ApiModel
public class PutSettlementResponse implements Serializable {

    @ApiModelProperty(name = "isSuccess", value = "商户结算方式更新是否成功@false:失败@true:成功", dataType = "boolean" ,example="true")
    private Boolean isSuccess;

    public PutSettlementResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }

    public PutSettlementResponse() {
    }
}