package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class LoginInfo implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "username", value = "用户名", dataType = "String", required = true)
    @NotNull(message = "用户名不能为空")
    private String username;
    @ApiModelProperty(name = "password", value = "密码", dataType = "String", required = true)
    @NotNull(message = "密码不能为空")
    private String password;
    @ApiModelProperty(name = "sn", value = "POS机SN", dataType = "String", required = false)
    private String sn;
}
