package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Set;

@Data
@ApiModel
public class LoginResponse {
    @ApiModelProperty(name = "jwt", value = "Javascript Web Token", dataType = "String")
    String token;
    @ApiModelProperty(name = "name", value = "name", dataType = "String")
    String name;
    @ApiModelProperty(name = "avatar", value = "头像", dataType = "String")
    String avatar;
    @ApiModelProperty(name = "orgId", value = "集团ID", dataType = "Integer")
    Integer orgId;
    @ApiModelProperty(name = "shopIds", value = "门店ID列表", dataType = "Set")
    Set<Integer> shopIds;
    @ApiModelProperty(name = "type", value = "角色", dataType = "String")
    String type;
    @ApiModelProperty(name = "permissionGroups", value = "权限组集合", dataType = "Set")
    Set<String> permissionGroups;
    @ApiModelProperty(name = "permissions", value = "权限集合", dataType = "Set")
    Set<String> permissions;
    long timestamp;


    String posShopName;
    String posShopProvince;
    String posShopCity;
    String posShopAddress;
    String posShopPhone;
    String posShopSettle;
    String redirectUrl; //h5登录后页面跳转地址url
}
