package com.neusoft.smart.pos.gateway.controller;


import com.neusoft.smart.pos.dto.trade.request.PostPaySuccessNotifyRequest;
import com.neusoft.smart.pos.dto.trade.response.PostPaySuccessNotifyResponse;
import com.neusoft.smart.pos.gateway.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@ApiIgnore
@RestController
@RequestMapping(path = "/unionService/payNotify")
public class PayNotifyController {

	@Autowired
	private OrderService orderService;

	@PostMapping("/paySuccessNotify")
	public PostPaySuccessNotifyResponse paySuccessNotify(@RequestBody PostPaySuccessNotifyRequest paySuccessNotify) {
		return orderService.paySuccessNotify(paySuccessNotify);
	}

}
	