package com.neusoft.smart.pos.gateway.service;

import com.neusoft.smart.pos.dto.ssl.request.SSLIssueRequest;
import com.neusoft.smart.pos.dto.ssl.response.SSLFileResponse;
import com.neusoft.smart.pos.gateway.service.feignService.RemoteSSLService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SSLService {
	
	@Autowired
	private RemoteSSLService remoteSSLService;
	
	
	public SSLFileResponse issueCertificates(SSLIssueRequest sslIssueRequest) {
		return remoteSSLService.issueCertificates(sslIssueRequest);
	}
}
