package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

@FeignClient(value = "service-inventory")
public interface RemoteMenuService {
	
//	@GetMapping("/goods/catering/gateway/v2/menus/pos/{sn}")
//	ResponseData<List<PosCategoryMenuResponse>> getCategoryOrderedMenusListBySn4Gateway(@PathVariable("sn") String sn);
	
	@GetMapping("/goods/tag/flavor/pos/{snCode}")
	ResponseData<List<String>> getFlavorTagsByPos(@PathVariable("snCode") String snCode);
}
