package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.trade.request.PostPaySuccessNotifyRequest;
import com.neusoft.smart.pos.dto.trade.request.PostRechargeOrderRequest;
import com.neusoft.smart.pos.dto.trade.request.PutOrderPaySuccessRequest;
import com.neusoft.smart.pos.dto.trade.response.GetOrderResponse;
import com.neusoft.smart.pos.dto.trade.response.PostPaySuccessNotifyResponse;
import com.neusoft.smart.pos.dto.trade.response.PostRechargeOrderResponse;
import com.neusoft.smart.pos.dto.trade.response.PutOrderPaySuccessResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 订单管理使用远程调用service
 */
@FeignClient(value = "service-trade/payNotify")
public interface RemotePayNotifyService {

    @PostMapping("/paySuccessNotify")
    PostPaySuccessNotifyResponse paySuccessNotify(@RequestBody PostPaySuccessNotifyRequest paySuccessNotify);
}