package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.promotion.request.GetPreferentialPriceRequest;
import com.neusoft.smart.pos.dto.promotion.response.GetPreferentialPriceResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "service-promotion")
public interface RemotePromotionService {
	
	@PostMapping("/preferential/price")
	ResponseData<GetPreferentialPriceResponse> getDiscounts(@RequestBody GetPreferentialPriceRequest getPreferentialPriceRequest);
}

