package com.neusoft.smart.pos.device.persistent.domain;

import java.util.ArrayList;
import java.util.List;

public class ConfigStrategyExample {

	protected String orderByClause;

	protected boolean distinct;

	protected List<Criteria> oredCriteria;

	private Integer offset;

	private Integer limit;

	public ConfigStrategyExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
		this.offset = null;
		this.limit = null;
	}

	public Integer getOffset() {
		return this.offset;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}

	public Integer getLimit() {
		return this.limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public ConfigStrategyExample page(int offset, int limit) {
		this.offset = offset;
		this.limit = limit;
		return this;
	}

	protected abstract static class GeneratedCriteria {

		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andIdIsNull() {
			addCriterion("id is null");
			return (Criteria) this;
		}

		public Criteria andIdIsNotNull() {
			addCriterion("id is not null");
			return (Criteria) this;
		}

		public Criteria andIdEqualTo(Integer value) {
			addCriterion("id =", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdNotEqualTo(Integer value) {
			addCriterion("id <>", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdGreaterThan(Integer value) {
			addCriterion("id >", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdGreaterThanOrEqualTo(Integer value) {
			addCriterion("id >=", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdLessThan(Integer value) {
			addCriterion("id <", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdLessThanOrEqualTo(Integer value) {
			addCriterion("id <=", value, "id");
			return (Criteria) this;
		}

		public Criteria andIdIn(List<Integer> values) {
			addCriterion("id in", values, "id");
			return (Criteria) this;
		}

		public Criteria andIdNotIn(List<Integer> values) {
			addCriterion("id not in", values, "id");
			return (Criteria) this;
		}

		public Criteria andIdBetween(Integer value1, Integer value2) {
			addCriterion("id between", value1, value2, "id");
			return (Criteria) this;
		}

		public Criteria andIdNotBetween(Integer value1, Integer value2) {
			addCriterion("id not between", value1, value2, "id");
			return (Criteria) this;
		}

		public Criteria andStrategyIdIsNull() {
			addCriterion("strategy_id is null");
			return (Criteria) this;
		}

		public Criteria andStrategyIdIsNotNull() {
			addCriterion("strategy_id is not null");
			return (Criteria) this;
		}

		public Criteria andStrategyIdEqualTo(Integer value) {
			addCriterion("strategy_id =", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdNotEqualTo(Integer value) {
			addCriterion("strategy_id <>", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdGreaterThan(Integer value) {
			addCriterion("strategy_id >", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdGreaterThanOrEqualTo(Integer value) {
			addCriterion("strategy_id >=", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdLessThan(Integer value) {
			addCriterion("strategy_id <", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdLessThanOrEqualTo(Integer value) {
			addCriterion("strategy_id <=", value, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdIn(List<Integer> values) {
			addCriterion("strategy_id in", values, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdNotIn(List<Integer> values) {
			addCriterion("strategy_id not in", values, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdBetween(Integer value1, Integer value2) {
			addCriterion("strategy_id between", value1, value2, "strategyId");
			return (Criteria) this;
		}

		public Criteria andStrategyIdNotBetween(Integer value1, Integer value2) {
			addCriterion("strategy_id not between", value1, value2, "strategyId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdIsNull() {
			addCriterion("device_id is null");
			return (Criteria) this;
		}

		public Criteria andDeviceIdIsNotNull() {
			addCriterion("device_id is not null");
			return (Criteria) this;
		}

		public Criteria andDeviceIdEqualTo(Integer value) {
			addCriterion("device_id =", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdNotEqualTo(Integer value) {
			addCriterion("device_id <>", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdGreaterThan(Integer value) {
			addCriterion("device_id >", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdGreaterThanOrEqualTo(Integer value) {
			addCriterion("device_id >=", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdLessThan(Integer value) {
			addCriterion("device_id <", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdLessThanOrEqualTo(Integer value) {
			addCriterion("device_id <=", value, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdIn(List<Integer> values) {
			addCriterion("device_id in", values, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdNotIn(List<Integer> values) {
			addCriterion("device_id not in", values, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdBetween(Integer value1, Integer value2) {
			addCriterion("device_id between", value1, value2, "deviceId");
			return (Criteria) this;
		}

		public Criteria andDeviceIdNotBetween(Integer value1, Integer value2) {
			addCriterion("device_id not between", value1, value2, "deviceId");
			return (Criteria) this;
		}

		public Criteria andConfigUrlIsNull() {
			addCriterion("config_url is null");
			return (Criteria) this;
		}

		public Criteria andConfigUrlIsNotNull() {
			addCriterion("config_url is not null");
			return (Criteria) this;
		}

		public Criteria andConfigUrlEqualTo(String value) {
			addCriterion("config_url =", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlNotEqualTo(String value) {
			addCriterion("config_url <>", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlGreaterThan(String value) {
			addCriterion("config_url >", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlGreaterThanOrEqualTo(String value) {
			addCriterion("config_url >=", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlLessThan(String value) {
			addCriterion("config_url <", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlLessThanOrEqualTo(String value) {
			addCriterion("config_url <=", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlLike(String value) {
			addCriterion("config_url like", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlNotLike(String value) {
			addCriterion("config_url not like", value, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlIn(List<String> values) {
			addCriterion("config_url in", values, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlNotIn(List<String> values) {
			addCriterion("config_url not in", values, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlBetween(String value1, String value2) {
			addCriterion("config_url between", value1, value2, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigUrlNotBetween(String value1, String value2) {
			addCriterion("config_url not between", value1, value2, "configUrl");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameIsNull() {
			addCriterion("config_file_name is null");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameIsNotNull() {
			addCriterion("config_file_name is not null");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameEqualTo(String value) {
			addCriterion("config_file_name =", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameNotEqualTo(String value) {
			addCriterion("config_file_name <>", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameGreaterThan(String value) {
			addCriterion("config_file_name >", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameGreaterThanOrEqualTo(String value) {
			addCriterion("config_file_name >=", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameLessThan(String value) {
			addCriterion("config_file_name <", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameLessThanOrEqualTo(String value) {
			addCriterion("config_file_name <=", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameLike(String value) {
			addCriterion("config_file_name like", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameNotLike(String value) {
			addCriterion("config_file_name not like", value, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameIn(List<String> values) {
			addCriterion("config_file_name in", values, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameNotIn(List<String> values) {
			addCriterion("config_file_name not in", values, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameBetween(String value1, String value2) {
			addCriterion("config_file_name between", value1, value2, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileNameNotBetween(String value1, String value2) {
			addCriterion("config_file_name not between", value1, value2, "configFileName");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeIsNull() {
			addCriterion("config_file_code is null");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeIsNotNull() {
			addCriterion("config_file_code is not null");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeEqualTo(String value) {
			addCriterion("config_file_code =", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeNotEqualTo(String value) {
			addCriterion("config_file_code <>", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeGreaterThan(String value) {
			addCriterion("config_file_code >", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeGreaterThanOrEqualTo(String value) {
			addCriterion("config_file_code >=", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeLessThan(String value) {
			addCriterion("config_file_code <", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeLessThanOrEqualTo(String value) {
			addCriterion("config_file_code <=", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeLike(String value) {
			addCriterion("config_file_code like", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeNotLike(String value) {
			addCriterion("config_file_code not like", value, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeIn(List<String> values) {
			addCriterion("config_file_code in", values, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeNotIn(List<String> values) {
			addCriterion("config_file_code not in", values, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeBetween(String value1, String value2) {
			addCriterion("config_file_code between", value1, value2, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andConfigFileCodeNotBetween(String value1, String value2) {
			addCriterion("config_file_code not between", value1, value2, "configFileCode");
			return (Criteria) this;
		}

		public Criteria andStatusIsNull() {
			addCriterion("status is null");
			return (Criteria) this;
		}

		public Criteria andStatusIsNotNull() {
			addCriterion("status is not null");
			return (Criteria) this;
		}

		public Criteria andStatusEqualTo(Integer value) {
			addCriterion("status =", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusNotEqualTo(Integer value) {
			addCriterion("status <>", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusGreaterThan(Integer value) {
			addCriterion("status >", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
			addCriterion("status >=", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusLessThan(Integer value) {
			addCriterion("status <", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusLessThanOrEqualTo(Integer value) {
			addCriterion("status <=", value, "status");
			return (Criteria) this;
		}

		public Criteria andStatusIn(List<Integer> values) {
			addCriterion("status in", values, "status");
			return (Criteria) this;
		}

		public Criteria andStatusNotIn(List<Integer> values) {
			addCriterion("status not in", values, "status");
			return (Criteria) this;
		}

		public Criteria andStatusBetween(Integer value1, Integer value2) {
			addCriterion("status between", value1, value2, "status");
			return (Criteria) this;
		}

		public Criteria andStatusNotBetween(Integer value1, Integer value2) {
			addCriterion("status not between", value1, value2, "status");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {

		protected Criteria() {
			super();
		}
	}

	public static class Criterion {

		private String condition;

		private Object value;

		private Object secondValue;

		private boolean noValue;

		private boolean singleValue;

		private boolean betweenValue;

		private boolean listValue;

		private String typeHandler;

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}
	}
}