package com.neusoft.smart.pos.inventory.persistent.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class InventoryGoodsInfo implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private String name;
    
    private String barCode;
    
    private String unit;
    
    private Integer scale;
    
    private BigDecimal price;
    
    private String image;
    
    private Integer onSale;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer cateId;
    
    private Integer deleted;
    
    private Integer isStock;
    
    private Integer priority;
    
    private Integer isThirdparty;
    
    private Date createdTime;
    
    private Integer createdBy;
    
    private Date updatedTime;
    
    private Integer updatedBy;
}