package com.neusoft.smart.pos.inventory.persistent.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class InventoryGoodsLimitExample {
    
    protected String orderByClause;
    
    protected boolean distinct;
    
    protected List<Criteria> oredCriteria;
    
    private Integer offset;
    
    private Integer limit;
    
    public InventoryGoodsLimitExample() {
        oredCriteria = new ArrayList<Criteria>();
    }
    
    public String getOrderByClause() {
        return orderByClause;
    }
    
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }
    
    public boolean isDistinct() {
        return distinct;
    }
    
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }
    
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }
    
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }
    
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }
    
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }
    
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }
    
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
        this.offset = null;
        this.limit = null;
    }
    
    public Integer getOffset() {
        return this.offset;
    }
    
    public void setOffset(Integer offset) {
        this.offset = offset;
    }
    
    public Integer getLimit() {
        return this.limit;
    }
    
    public void setLimit(Integer limit) {
        this.limit = limit;
    }
    
    public InventoryGoodsLimitExample page(int offset, int limit) {
        this.offset = offset;
        this.limit = limit;
        return this;
    }
    
    protected abstract static class GeneratedCriteria {
        
        protected List<Criterion> criteria;
        
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }
        
        public boolean isValid() {
            return criteria.size() > 0;
        }
        
        public List<Criterion> getAllCriteria() {
            return criteria;
        }
        
        public List<Criterion> getCriteria() {
            return criteria;
        }
        
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }
        
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }
        
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }
        
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }
        
        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }
        
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIsNull() {
            addCriterion("goods_id is null");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIsNotNull() {
            addCriterion("goods_id is not null");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdEqualTo(Integer value) {
            addCriterion("goods_id =", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotEqualTo(Integer value) {
            addCriterion("goods_id <>", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdGreaterThan(Integer value) {
            addCriterion("goods_id >", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_id >=", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdLessThan(Integer value) {
            addCriterion("goods_id <", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdLessThanOrEqualTo(Integer value) {
            addCriterion("goods_id <=", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIn(List<Integer> values) {
            addCriterion("goods_id in", values, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotIn(List<Integer> values) {
            addCriterion("goods_id not in", values, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdBetween(Integer value1, Integer value2) {
            addCriterion("goods_id between", value1, value2, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotBetween(Integer value1, Integer value2) {
            addCriterion("goods_id not between", value1, value2, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdIsNull() {
            addCriterion("bean_id is null");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdIsNotNull() {
            addCriterion("bean_id is not null");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdEqualTo(Integer value) {
            addCriterion("bean_id =", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdNotEqualTo(Integer value) {
            addCriterion("bean_id <>", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdGreaterThan(Integer value) {
            addCriterion("bean_id >", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("bean_id >=", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdLessThan(Integer value) {
            addCriterion("bean_id <", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdLessThanOrEqualTo(Integer value) {
            addCriterion("bean_id <=", value, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdIn(List<Integer> values) {
            addCriterion("bean_id in", values, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdNotIn(List<Integer> values) {
            addCriterion("bean_id not in", values, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdBetween(Integer value1, Integer value2) {
            addCriterion("bean_id between", value1, value2, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andBeanIdNotBetween(Integer value1, Integer value2) {
            addCriterion("bean_id not between", value1, value2, "beanId");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeIsNull() {
            addCriterion("cteated_time is null");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeIsNotNull() {
            addCriterion("cteated_time is not null");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeEqualTo(Date value) {
            addCriterion("cteated_time =", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeNotEqualTo(Date value) {
            addCriterion("cteated_time <>", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeGreaterThan(Date value) {
            addCriterion("cteated_time >", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("cteated_time >=", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeLessThan(Date value) {
            addCriterion("cteated_time <", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeLessThanOrEqualTo(Date value) {
            addCriterion("cteated_time <=", value, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeIn(List<Date> values) {
            addCriterion("cteated_time in", values, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeNotIn(List<Date> values) {
            addCriterion("cteated_time not in", values, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeBetween(Date value1, Date value2) {
            addCriterion("cteated_time between", value1, value2, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCteatedTimeNotBetween(Date value1, Date value2) {
            addCriterion("cteated_time not between", value1, value2, "cteatedTime");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByEqualTo(Integer value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByNotEqualTo(Integer value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByGreaterThan(Integer value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByGreaterThanOrEqualTo(Integer value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByLessThan(Integer value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByLessThanOrEqualTo(Integer value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByIn(List<Integer> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByNotIn(List<Integer> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByBetween(Integer value1, Integer value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andCreatedByNotBetween(Integer value1, Integer value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }
        
        public Criteria andVersionIsNull() {
            addCriterion("version is null");
            return (Criteria) this;
        }
        
        public Criteria andVersionIsNotNull() {
            addCriterion("version is not null");
            return (Criteria) this;
        }
        
        public Criteria andVersionEqualTo(Integer value) {
            addCriterion("version =", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionNotEqualTo(Integer value) {
            addCriterion("version <>", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionGreaterThan(Integer value) {
            addCriterion("version >", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionGreaterThanOrEqualTo(Integer value) {
            addCriterion("version >=", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionLessThan(Integer value) {
            addCriterion("version <", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionLessThanOrEqualTo(Integer value) {
            addCriterion("version <=", value, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionIn(List<Integer> values) {
            addCriterion("version in", values, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionNotIn(List<Integer> values) {
            addCriterion("version not in", values, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionBetween(Integer value1, Integer value2) {
            addCriterion("version between", value1, value2, "version");
            return (Criteria) this;
        }
        
        public Criteria andVersionNotBetween(Integer value1, Integer value2) {
            addCriterion("version not between", value1, value2, "version");
            return (Criteria) this;
        }
    }
    
    public static class Criteria extends GeneratedCriteria {
        
        protected Criteria() {
            super();
        }
    }
    
    public static class Criterion {
        
        private String condition;
        
        private Object value;
        
        private Object secondValue;
        
        private boolean noValue;
        
        private boolean singleValue;
        
        private boolean betweenValue;
        
        private boolean listValue;
        
        private String typeHandler;
        
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }
        
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }
        
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }
        
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }
        
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
        
        public String getCondition() {
            return condition;
        }
        
        public Object getValue() {
            return value;
        }
        
        public Object getSecondValue() {
            return secondValue;
        }
        
        public boolean isNoValue() {
            return noValue;
        }
        
        public boolean isSingleValue() {
            return singleValue;
        }
        
        public boolean isBetweenValue() {
            return betweenValue;
        }
        
        public boolean isListValue() {
            return listValue;
        }
        
        public String getTypeHandler() {
            return typeHandler;
        }
    }
}