package com.neusoft.smart.pos.inventory.persistent.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class InventoryStoreBatch implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private String goodsName;
    
    private Integer goodsId;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer storageNum;
    
    private Integer lockedStorageCount;
    
    private BigDecimal inPrice;
    
    private Integer supplier;
    
    private Date madeDate;
    
    private Date qualityDate;
    
    private String status;
    
    private Date createdTime;
    
    private String createdBy;
    
    private Date updatedTime;
    
    private String updatedBy;
    
    private Integer version;
}