package com.neusoft.smart.pos.inventory.persistent.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class InventoryStoreInout implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private Integer shopId;
    
    private Integer goodsId;
    
    private Integer batchId;
    
    private BigDecimal residueNum;
    
    private BigDecimal varNum;
    
    private BigDecimal inPrice;
    
    private BigDecimal salePrice;
    
    private Integer actionDire;
    
    private String actionType;
    
    private Integer supplier;
    
    private String uniqId;
    
    private Date createdTime;
    
    private String createdBy;
}