package com.neusoft.smart.pos.member.controller;

import com.neusoft.smart.pos.framework.dto.ResponseData;
import com.neusoft.smart.pos.member.service.MemberBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class MemberBusinessController {
	
	@Autowired
	private MemberBusinessService memberBusinessService;
	
	@PostMapping("/member/business")
	public ResponseData<?> createBusiness(Integer orgId, Integer businessDict) {
		memberBusinessService.create(orgId, businessDict);
		return new ResponseData<>();
	}
}
