package com.neusoft.smart.pos.member.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class CreateMemberLevelPolicyRequest {
    @NotNull
    @ApiModelProperty(value = "等级名称")
    private String levelName;
    @NotNull
    @ApiModelProperty(value = "等级")
    private Integer levelNumber;
    @NotNull
    @ApiModelProperty(value = "条件json")
    private String condition;
    @NotNull
    @ApiModelProperty(value = "福利jsonArray")
    private String bonusArray;

    @ApiModelProperty(value = "集团id")
    private Integer org;

    @ApiModelProperty(value = "门店id")
    private Integer store;
}
