package com.neusoft.smart.pos.org.repository;


import com.neusoft.smart.pos.org.dto.User;
import com.neusoft.smart.pos.org.persistent.domain.UserExample;
import com.neusoft.smart.pos.org.persistent.mapper.ManageableGroupMapper;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;



@Component
public class ManageableGroupRepository {
    @Autowired
    public ManageableGroupMapper manageableGroupMapper;

    public User getManageableGroup( UserExample userExample){

        return manageableGroupMapper.selectByUserExample( userExample);
    }
}
