package com.neusoft.smart.pos.printer.repository;

import com.neusoft.smart.pos.printer.persistent.ext.domain.Printer;

import java.util.List;

/**
 * @author zcf
 * @date 2018-10-17 10：43
 * @description 打印规则实现类使用接口
 */
public interface IPrinterRuleRepository {


	/**
	 * 打印规则执行使用方法
	 * @return
	 */
	List<Printer> executeRule(Integer orgId, Integer shopId, Printer printer, Long ruleId,Long printerRuleId);

}
