package com.neusoft.smart.pos.ota.persistent.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ApkVersionExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer offset;

    private Integer limit;

    public ApkVersionExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
        this.offset = null;
        this.limit = null;
    }

    public Integer getOffset() {
        return this.offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getLimit() {
        return this.limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public ApkVersionExample page(int offset, int limit) {
        this.offset = offset;
        this.limit = limit;
        return this;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAppIdIsNull() {
            addCriterion("app_id is null");
            return (Criteria) this;
        }

        public Criteria andAppIdIsNotNull() {
            addCriterion("app_id is not null");
            return (Criteria) this;
        }

        public Criteria andAppIdEqualTo(Integer value) {
            addCriterion("app_id =", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdNotEqualTo(Integer value) {
            addCriterion("app_id <>", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdGreaterThan(Integer value) {
            addCriterion("app_id >", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("app_id >=", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdLessThan(Integer value) {
            addCriterion("app_id <", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdLessThanOrEqualTo(Integer value) {
            addCriterion("app_id <=", value, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdIn(List<Integer> values) {
            addCriterion("app_id in", values, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdNotIn(List<Integer> values) {
            addCriterion("app_id not in", values, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdBetween(Integer value1, Integer value2) {
            addCriterion("app_id between", value1, value2, "appId");
            return (Criteria) this;
        }

        public Criteria andAppIdNotBetween(Integer value1, Integer value2) {
            addCriterion("app_id not between", value1, value2, "appId");
            return (Criteria) this;
        }

        public Criteria andApkNameIsNull() {
            addCriterion("apk_name is null");
            return (Criteria) this;
        }

        public Criteria andApkNameIsNotNull() {
            addCriterion("apk_name is not null");
            return (Criteria) this;
        }

        public Criteria andApkNameEqualTo(String value) {
            addCriterion("apk_name =", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameNotEqualTo(String value) {
            addCriterion("apk_name <>", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameGreaterThan(String value) {
            addCriterion("apk_name >", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameGreaterThanOrEqualTo(String value) {
            addCriterion("apk_name >=", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameLessThan(String value) {
            addCriterion("apk_name <", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameLessThanOrEqualTo(String value) {
            addCriterion("apk_name <=", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameLike(String value) {
            addCriterion("apk_name like", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameNotLike(String value) {
            addCriterion("apk_name not like", value, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameIn(List<String> values) {
            addCriterion("apk_name in", values, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameNotIn(List<String> values) {
            addCriterion("apk_name not in", values, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameBetween(String value1, String value2) {
            addCriterion("apk_name between", value1, value2, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkNameNotBetween(String value1, String value2) {
            addCriterion("apk_name not between", value1, value2, "apkName");
            return (Criteria) this;
        }

        public Criteria andApkSizeIsNull() {
            addCriterion("apk_size is null");
            return (Criteria) this;
        }

        public Criteria andApkSizeIsNotNull() {
            addCriterion("apk_size is not null");
            return (Criteria) this;
        }

        public Criteria andApkSizeEqualTo(Integer value) {
            addCriterion("apk_size =", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeNotEqualTo(Integer value) {
            addCriterion("apk_size <>", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeGreaterThan(Integer value) {
            addCriterion("apk_size >", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeGreaterThanOrEqualTo(Integer value) {
            addCriterion("apk_size >=", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeLessThan(Integer value) {
            addCriterion("apk_size <", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeLessThanOrEqualTo(Integer value) {
            addCriterion("apk_size <=", value, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeIn(List<Integer> values) {
            addCriterion("apk_size in", values, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeNotIn(List<Integer> values) {
            addCriterion("apk_size not in", values, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeBetween(Integer value1, Integer value2) {
            addCriterion("apk_size between", value1, value2, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkSizeNotBetween(Integer value1, Integer value2) {
            addCriterion("apk_size not between", value1, value2, "apkSize");
            return (Criteria) this;
        }

        public Criteria andApkVersionIsNull() {
            addCriterion("apk_version is null");
            return (Criteria) this;
        }

        public Criteria andApkVersionIsNotNull() {
            addCriterion("apk_version is not null");
            return (Criteria) this;
        }

        public Criteria andApkVersionEqualTo(String value) {
            addCriterion("apk_version =", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionNotEqualTo(String value) {
            addCriterion("apk_version <>", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionGreaterThan(String value) {
            addCriterion("apk_version >", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionGreaterThanOrEqualTo(String value) {
            addCriterion("apk_version >=", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionLessThan(String value) {
            addCriterion("apk_version <", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionLessThanOrEqualTo(String value) {
            addCriterion("apk_version <=", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionLike(String value) {
            addCriterion("apk_version like", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionNotLike(String value) {
            addCriterion("apk_version not like", value, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionIn(List<String> values) {
            addCriterion("apk_version in", values, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionNotIn(List<String> values) {
            addCriterion("apk_version not in", values, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionBetween(String value1, String value2) {
            addCriterion("apk_version between", value1, value2, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkVersionNotBetween(String value1, String value2) {
            addCriterion("apk_version not between", value1, value2, "apkVersion");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathIsNull() {
            addCriterion("apk_download_path is null");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathIsNotNull() {
            addCriterion("apk_download_path is not null");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathEqualTo(String value) {
            addCriterion("apk_download_path =", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathNotEqualTo(String value) {
            addCriterion("apk_download_path <>", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathGreaterThan(String value) {
            addCriterion("apk_download_path >", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathGreaterThanOrEqualTo(String value) {
            addCriterion("apk_download_path >=", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathLessThan(String value) {
            addCriterion("apk_download_path <", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathLessThanOrEqualTo(String value) {
            addCriterion("apk_download_path <=", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathLike(String value) {
            addCriterion("apk_download_path like", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathNotLike(String value) {
            addCriterion("apk_download_path not like", value, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathIn(List<String> values) {
            addCriterion("apk_download_path in", values, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathNotIn(List<String> values) {
            addCriterion("apk_download_path not in", values, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathBetween(String value1, String value2) {
            addCriterion("apk_download_path between", value1, value2, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkDownloadPathNotBetween(String value1, String value2) {
            addCriterion("apk_download_path not between", value1, value2, "apkDownloadPath");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteIsNull() {
            addCriterion("apk_release_note is null");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteIsNotNull() {
            addCriterion("apk_release_note is not null");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteEqualTo(String value) {
            addCriterion("apk_release_note =", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteNotEqualTo(String value) {
            addCriterion("apk_release_note <>", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteGreaterThan(String value) {
            addCriterion("apk_release_note >", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteGreaterThanOrEqualTo(String value) {
            addCriterion("apk_release_note >=", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteLessThan(String value) {
            addCriterion("apk_release_note <", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteLessThanOrEqualTo(String value) {
            addCriterion("apk_release_note <=", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteLike(String value) {
            addCriterion("apk_release_note like", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteNotLike(String value) {
            addCriterion("apk_release_note not like", value, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteIn(List<String> values) {
            addCriterion("apk_release_note in", values, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteNotIn(List<String> values) {
            addCriterion("apk_release_note not in", values, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteBetween(String value1, String value2) {
            addCriterion("apk_release_note between", value1, value2, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andApkReleaseNoteNotBetween(String value1, String value2) {
            addCriterion("apk_release_note not between", value1, value2, "apkReleaseNote");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(Integer value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(Integer value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(Integer value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(Integer value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(Integer value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(Integer value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<Integer> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<Integer> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(Integer value1, Integer value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(Integer value1, Integer value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}