package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class BizPayNotify implements Serializable {
    private String mcode;           //商户号
    private String orderNumber;     //业务系统订单编号
    private String orderAmount;     //订单金额(单位分)
    private String payType;         //支付方式@1:微信扫码支付 @2:支付宝扫码支付   @3:支付宝当面资金授权支付   @4:银联二维码支付
    private String payTime;         //用户支付时间，格式为yyyyMMddHHmmss
    private String tradeId;         //支付平台交易流水ID
    private String sign;            //签名
}