package com.neusoft.smart.pos.payment.persistent.ext.domain;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformFreezePay implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String tradeId;             //聚合支付平台交易流水
    private String mOrderNumber;        //业务平台订单号
    private String authNo;              //第三方支付平台资金授权订单号
    private String outerOrderNumber;         //支付宝的资金操作流水号operationId
    private String outerCodeUrl;        //第三方支付平台返回支付二维码
    private Long authAmount;            //本次操作冻结的金额，单位为：分
    private String grantTime;           //资金授权成功时间 格式：YYYY-MM-DD HH:MM:SS
    private String payFreezeStatus = DictionaryConstant.PAY_GRANT_STATUS_CLZ.getCode();           //第三方支付平台返回支付结果@1:冻结处理中@2:冻结成功@3:冻结失败
}