package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WFTPayRefundOrder implements Serializable {
    private String service = "unified.trade.refund";           //接口类型
    private String mch_id;          //商户号 1230000109 微信支付分配的商户号
    private String out_trade_no;       //商户系统内部的订单号 ,5到32个字符、 只能包含字母数字或者下划线，区分大小写，每次下单请求确保在商户系统唯一
    private String out_refund_no;       //商户退款单号，32个字符内、可包含字母,确保在商户系统唯一。同个退款单号多次请求，平台当一个单处理，只会退一次款。如果出现退款不成功，请采用原退款单号重新发起，避免出现重复退款。
    private Long total_fee;         //订单金额，订单总金额，单位为分，只能为整数
    private Long refund_fee;        //退款金额，退款总金额，订单总金额，单位为分
    private String op_user_id;       //操作员帐号,默认为商户号
    private String nonce_str;       //随机字符串 5K8264ILTKCH16CQ2502SI8ZNMTM67VS 随机字符串，长度要求在32位以内
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
}