package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WeixinInitFacePay implements Serializable {
    private String appid;           //公众账号ID wxd678efh567hg6787 微信支付分配的公众账号ID（企业号corpid即为此appId）
    private String mch_id;          //商户号 1230000109 微信支付分配的商户号
    private String nonce_str;       //随机字符串 5K8264ILTKCH16CQ2502SI8ZNMTM67VS 随机字符串，长度要求在32位以内
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
    private String now;    //取当前时间，10位unix时间戳。 例如：1239878956
    private String version = "1";   //版本号。固定为1
    private String sign_type = "MD5";         //签名类型，目前支持HMAC-SHA256和MD5，默认为MD5
    private String store_id;        //门店编号， 由商户定义， 各门店唯一。
    private String store_name;      //门店名称，由商户定义。（可用于展示）
    private String device_id;      //终端设备编号，由商户定义。
    private String rawdata;      //初始化数据。由微信人脸SDK的接口返回。
}