package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WeixinPayRefundOrder implements Serializable {
    private String appid;           //公众账号ID wxd678efh567hg6787 微信支付分配的公众账号ID（企业号corpid即为此appId）
    private String mch_id;          //商户号 1230000109 微信支付分配的商户号
    private String nonce_str;       //随机字符串 5K8264ILTKCH16CQ2502SI8ZNMTM67VS 随机字符串，长度要求在32位以内
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
    private String out_trade_no;    //商户系统内部订单号，要求32个字符内，只能是数字、大小写字母_-|*@ ，且在同一个商户号下唯一
    private String out_refund_no;   //商户退款单号，商户系统内部的退款单号，商户系统内部唯一，只能是数字、大小写字母_-|*@ ，同一退款单号多次请求只退一笔
    private Long total_fee;         //订单金额，订单总金额，单位为分，只能为整数
    private Long refund_fee;        //退款金额，退款总金额，订单总金额，单位为分
    private String notify_url;      //退款结果通知url，步接收微信支付退款结果通知的回调地址，通知URL必须为外网可访问的url，不允许带参数如果参数中传了notify_url，则商户平台上配置的回调地址将不会生效
}