package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class XYHFPayCreateOrder implements Serializable {
    private String OPENPL_APPID;    //开放平台唯一标识
    private String OUT_TRADE_NO;    //商户订单号
    private String DOOR_ID = "0";   //门店编号 没有门店默认为 0
    private String TOTAL_FEE;       //总金额 单位为分
    private String AUTH_CODE;       //授权码 收款二 维码或条形码值
    private String ATTATCH;         //附加信息 附加数据，在支付通知中原样返回，该字段 主要用于商户携 带订单的自定数据
    private String VALIDITYTIME;    //订单有效期 单位为分钟，整数，默认 5 分钟    只有微信，支付宝    接口支持上送，其    他渠道上送无效。
    private String SIGNATURE;       //签名 见签名规则

}