package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformUnFreezePayGrant implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String mOrderNumber;        //业务平台订单号
    private String payType;             //支付方式@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付
    private String unFreezeStatus;      //解冻状态(@1:解冻失败@2:解冻成功)
    private Long amount;                //解冻金额单位是分
    private String unFreezeTime;        //解冻时间YYYY-MM-DD HH:MM:SS

}