package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WeixinFacePayCreateOrder implements Serializable {
    private String appid;           //公众账号ID wxd678efh567hg6787 微信支付分配的公众账号ID（企业号corpid即为此appId）
    private String mch_id;          //商户号 1230000109 微信支付分配的商户号
    private String nonce_str;       //随机字符串 5K8264ILTKCH16CQ2502SI8ZNMTM67VS 随机字符串，长度要求在32位以内
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
    private String body;            //商品描述 商品简单描述
    private String out_trade_no;    //商户订单号 20150806125346 商户系统内部订单号，要求32个字符内，只能是数字、大小写字母_-|*@ ，且在同一个商户号下唯一
    private String total_fee;      //标价金额 订单总金额，单位为分
    private String spbill_create_ip;  //终端IP 123.12.12.123 APP和网页支付提交用户端ip，Native支付填调用微信支付API的机器IP
    private String openid;          //用户在商户 appid 下的唯一标识
    private String face_code;       //人脸凭证
}