package com.neusoft.smart.pos.payorder.constants;

public class PayConstant {
	
	public static final Long ORDER_DEFAULT_TIME_EXPIRE = 60L*48; // 订单默认超时时间(单位分)

	public static final String PAYMENT_PAY_GENERATE_ORDER = "pay/generateOrder"; //聚合支付平台预付单生成接口uri
	public static final String PAYMENT_PAY_CANCEL_ORDER = "pay/cancelOrder"; //聚合支付平台预付单取消接口uri
	public static final String PAYMENT_PAY_QUERY_ORDER = "pay/queryOrder"; //聚合支付平台预付单查询接口uri
	public static final String PAYMENT_PAY_REVERSE_ORDER = "pay/reverseOrder"; //聚合支付平台预付单撤销接口uri
	public static final String PAYMENT_PAY_INIT_FACE_PAY= "pay/initFacePay"; //聚合支付平台预付单人脸支付初始化接口uri
	public static final String PAYMENT_PAY_REFUND_ORDER = "pay/refundOrder"; //聚合支付平台预付单退款接口uri
	public static final String PAYMENT_PAY_APPLY_PAY_CHANNEL = "mchPayChannel/applyPayChannel"; //聚合支付平台支付渠道开通接口uri
	public static final String PAYMENT_PAY_UPDATE_PAY_CHANNEL = "mchPayChannel/payChannel"; //聚合支付平台支付渠道更新接口uri
	public static final String PAYMENT_PAY_DELETE_PAY_CHANNEL = "mchPayChannel/payChannel"; //聚合支付平台支付渠道删除接口uri
	public static final String PAYMENT_MCH_APPLY_MCH = "mch/applyMchByPrivate"; //聚合支付平台商户号申请接口uri
	
	public static final String GATEWAY_UPDATE_MEMBER = "/unionService/order/updateMemberHandle";//gateway更新会员卡接口
	
	public static final String PAYMENT_GRANT_PAY_FREEZE_PAY = "grantPay/freezePay"; //聚合支付平台资金预授权订单生成接口uri
	public static final String PAYMENT_GRANT_PAY_UNFREEZE_PAY = "grantPay/unFreezePay"; //聚合支付平台资金预授权订单解冻接口uri
	public static final String PAYMENT_GRANT_PAY_REVERSE_PAY = "grantPay/reversePayGrant"; //聚合支付平台资金预授权订单撤销接口uri
	public static final String PAYMENT_GRANT_PAY_QUERY_GRANT = "grantPay/queryPayGrant"; //聚合支付平台资金预授权订单撤销接口uri
	public static final String PAYMENT_GRANT_PAY_GRANT_TO_PAY = "grantPay/grantToPay"; //聚合支付平台资金预授权转支付接口uri
	public static final String PAYMENT_GRANT_PAY_GRANT_PAY_REFUND = "grantPay/grantPayRefund"; //聚合支付平台资金预授权转支付退款接口uri
}
