package com.neusoft.smart.pos.payorder.persistent.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class PayOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer offset;

    private Integer limit;

    public PayOrderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
        this.offset = null;
        this.limit = null;
    }

    public Integer getOffset() {
        return this.offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getLimit() {
        return this.limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public PayOrderExample page(int offset, int limit) {
        this.offset = offset;
        this.limit = limit;
        return this;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMcodeIsNull() {
            addCriterion("mcode is null");
            return (Criteria) this;
        }

        public Criteria andMcodeIsNotNull() {
            addCriterion("mcode is not null");
            return (Criteria) this;
        }

        public Criteria andMcodeEqualTo(String value) {
            addCriterion("mcode =", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeNotEqualTo(String value) {
            addCriterion("mcode <>", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeGreaterThan(String value) {
            addCriterion("mcode >", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeGreaterThanOrEqualTo(String value) {
            addCriterion("mcode >=", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeLessThan(String value) {
            addCriterion("mcode <", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeLessThanOrEqualTo(String value) {
            addCriterion("mcode <=", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeLike(String value) {
            addCriterion("mcode like", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeNotLike(String value) {
            addCriterion("mcode not like", value, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeIn(List<String> values) {
            addCriterion("mcode in", values, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeNotIn(List<String> values) {
            addCriterion("mcode not in", values, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeBetween(String value1, String value2) {
            addCriterion("mcode between", value1, value2, "mcode");
            return (Criteria) this;
        }

        public Criteria andMcodeNotBetween(String value1, String value2) {
            addCriterion("mcode not between", value1, value2, "mcode");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberIsNull() {
            addCriterion("m_order_number is null");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberIsNotNull() {
            addCriterion("m_order_number is not null");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberEqualTo(String value) {
            addCriterion("m_order_number =", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberNotEqualTo(String value) {
            addCriterion("m_order_number <>", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberGreaterThan(String value) {
            addCriterion("m_order_number >", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberGreaterThanOrEqualTo(String value) {
            addCriterion("m_order_number >=", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberLessThan(String value) {
            addCriterion("m_order_number <", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberLessThanOrEqualTo(String value) {
            addCriterion("m_order_number <=", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberLike(String value) {
            addCriterion("m_order_number like", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberNotLike(String value) {
            addCriterion("m_order_number not like", value, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberIn(List<String> values) {
            addCriterion("m_order_number in", values, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberNotIn(List<String> values) {
            addCriterion("m_order_number not in", values, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberBetween(String value1, String value2) {
            addCriterion("m_order_number between", value1, value2, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andMOrderNumberNotBetween(String value1, String value2) {
            addCriterion("m_order_number not between", value1, value2, "mOrderNumber");
            return (Criteria) this;
        }

        public Criteria andTradeIdIsNull() {
            addCriterion("trade_id is null");
            return (Criteria) this;
        }

        public Criteria andTradeIdIsNotNull() {
            addCriterion("trade_id is not null");
            return (Criteria) this;
        }

        public Criteria andTradeIdEqualTo(String value) {
            addCriterion("trade_id =", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdNotEqualTo(String value) {
            addCriterion("trade_id <>", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdGreaterThan(String value) {
            addCriterion("trade_id >", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdGreaterThanOrEqualTo(String value) {
            addCriterion("trade_id >=", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdLessThan(String value) {
            addCriterion("trade_id <", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdLessThanOrEqualTo(String value) {
            addCriterion("trade_id <=", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdLike(String value) {
            addCriterion("trade_id like", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdNotLike(String value) {
            addCriterion("trade_id not like", value, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdIn(List<String> values) {
            addCriterion("trade_id in", values, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdNotIn(List<String> values) {
            addCriterion("trade_id not in", values, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdBetween(String value1, String value2) {
            addCriterion("trade_id between", value1, value2, "tradeId");
            return (Criteria) this;
        }

        public Criteria andTradeIdNotBetween(String value1, String value2) {
            addCriterion("trade_id not between", value1, value2, "tradeId");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberIsNull() {
            addCriterion("outer_order_number is null");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberIsNotNull() {
            addCriterion("outer_order_number is not null");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberEqualTo(String value) {
            addCriterion("outer_order_number =", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberNotEqualTo(String value) {
            addCriterion("outer_order_number <>", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberGreaterThan(String value) {
            addCriterion("outer_order_number >", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberGreaterThanOrEqualTo(String value) {
            addCriterion("outer_order_number >=", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberLessThan(String value) {
            addCriterion("outer_order_number <", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberLessThanOrEqualTo(String value) {
            addCriterion("outer_order_number <=", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberLike(String value) {
            addCriterion("outer_order_number like", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberNotLike(String value) {
            addCriterion("outer_order_number not like", value, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberIn(List<String> values) {
            addCriterion("outer_order_number in", values, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberNotIn(List<String> values) {
            addCriterion("outer_order_number not in", values, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberBetween(String value1, String value2) {
            addCriterion("outer_order_number between", value1, value2, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andOuterOrderNumberNotBetween(String value1, String value2) {
            addCriterion("outer_order_number not between", value1, value2, "outerOrderNumber");
            return (Criteria) this;
        }

        public Criteria andDeviceIdIsNull() {
            addCriterion("device_id is null");
            return (Criteria) this;
        }

        public Criteria andDeviceIdIsNotNull() {
            addCriterion("device_id is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceIdEqualTo(String value) {
            addCriterion("device_id =", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdNotEqualTo(String value) {
            addCriterion("device_id <>", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdGreaterThan(String value) {
            addCriterion("device_id >", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdGreaterThanOrEqualTo(String value) {
            addCriterion("device_id >=", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdLessThan(String value) {
            addCriterion("device_id <", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdLessThanOrEqualTo(String value) {
            addCriterion("device_id <=", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdLike(String value) {
            addCriterion("device_id like", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdNotLike(String value) {
            addCriterion("device_id not like", value, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdIn(List<String> values) {
            addCriterion("device_id in", values, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdNotIn(List<String> values) {
            addCriterion("device_id not in", values, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdBetween(String value1, String value2) {
            addCriterion("device_id between", value1, value2, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceIdNotBetween(String value1, String value2) {
            addCriterion("device_id not between", value1, value2, "deviceId");
            return (Criteria) this;
        }

        public Criteria andDeviceNameIsNull() {
            addCriterion("device_name is null");
            return (Criteria) this;
        }

        public Criteria andDeviceNameIsNotNull() {
            addCriterion("device_name is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceNameEqualTo(String value) {
            addCriterion("device_name =", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameNotEqualTo(String value) {
            addCriterion("device_name <>", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameGreaterThan(String value) {
            addCriterion("device_name >", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameGreaterThanOrEqualTo(String value) {
            addCriterion("device_name >=", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameLessThan(String value) {
            addCriterion("device_name <", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameLessThanOrEqualTo(String value) {
            addCriterion("device_name <=", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameLike(String value) {
            addCriterion("device_name like", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameNotLike(String value) {
            addCriterion("device_name not like", value, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameIn(List<String> values) {
            addCriterion("device_name in", values, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameNotIn(List<String> values) {
            addCriterion("device_name not in", values, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameBetween(String value1, String value2) {
            addCriterion("device_name between", value1, value2, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDeviceNameNotBetween(String value1, String value2) {
            addCriterion("device_name not between", value1, value2, "deviceName");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("description is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("description is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("description =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("description <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("description >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("description >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("description <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("description <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("description like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("description not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("description in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("description not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("description between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("description not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNull() {
            addCriterion("pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNotNull() {
            addCriterion("pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeEqualTo(String value) {
            addCriterion("pay_type =", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotEqualTo(String value) {
            addCriterion("pay_type <>", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThan(String value) {
            addCriterion("pay_type >", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThanOrEqualTo(String value) {
            addCriterion("pay_type >=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThan(String value) {
            addCriterion("pay_type <", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThanOrEqualTo(String value) {
            addCriterion("pay_type <=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLike(String value) {
            addCriterion("pay_type like", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotLike(String value) {
            addCriterion("pay_type not like", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIn(List<String> values) {
            addCriterion("pay_type in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotIn(List<String> values) {
            addCriterion("pay_type not in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeBetween(String value1, String value2) {
            addCriterion("pay_type between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotBetween(String value1, String value2) {
            addCriterion("pay_type not between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIsNull() {
            addCriterion("pay_type_name is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIsNotNull() {
            addCriterion("pay_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameEqualTo(String value) {
            addCriterion("pay_type_name =", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotEqualTo(String value) {
            addCriterion("pay_type_name <>", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameGreaterThan(String value) {
            addCriterion("pay_type_name >", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("pay_type_name >=", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLessThan(String value) {
            addCriterion("pay_type_name <", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLessThanOrEqualTo(String value) {
            addCriterion("pay_type_name <=", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameLike(String value) {
            addCriterion("pay_type_name like", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotLike(String value) {
            addCriterion("pay_type_name not like", value, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameIn(List<String> values) {
            addCriterion("pay_type_name in", values, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotIn(List<String> values) {
            addCriterion("pay_type_name not in", values, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameBetween(String value1, String value2) {
            addCriterion("pay_type_name between", value1, value2, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayTypeNameNotBetween(String value1, String value2) {
            addCriterion("pay_type_name not between", value1, value2, "payTypeName");
            return (Criteria) this;
        }

        public Criteria andPayAmountIsNull() {
            addCriterion("pay_amount is null");
            return (Criteria) this;
        }

        public Criteria andPayAmountIsNotNull() {
            addCriterion("pay_amount is not null");
            return (Criteria) this;
        }

        public Criteria andPayAmountEqualTo(Long value) {
            addCriterion("pay_amount =", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountNotEqualTo(Long value) {
            addCriterion("pay_amount <>", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountGreaterThan(Long value) {
            addCriterion("pay_amount >", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountGreaterThanOrEqualTo(Long value) {
            addCriterion("pay_amount >=", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountLessThan(Long value) {
            addCriterion("pay_amount <", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountLessThanOrEqualTo(Long value) {
            addCriterion("pay_amount <=", value, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountIn(List<Long> values) {
            addCriterion("pay_amount in", values, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountNotIn(List<Long> values) {
            addCriterion("pay_amount not in", values, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountBetween(Long value1, Long value2) {
            addCriterion("pay_amount between", value1, value2, "payAmount");
            return (Criteria) this;
        }

        public Criteria andPayAmountNotBetween(Long value1, Long value2) {
            addCriterion("pay_amount not between", value1, value2, "payAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountIsNull() {
            addCriterion("refunded_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountIsNotNull() {
            addCriterion("refunded_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountEqualTo(Long value) {
            addCriterion("refunded_amount =", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountNotEqualTo(Long value) {
            addCriterion("refunded_amount <>", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountGreaterThan(Long value) {
            addCriterion("refunded_amount >", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountGreaterThanOrEqualTo(Long value) {
            addCriterion("refunded_amount >=", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountLessThan(Long value) {
            addCriterion("refunded_amount <", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountLessThanOrEqualTo(Long value) {
            addCriterion("refunded_amount <=", value, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountIn(List<Long> values) {
            addCriterion("refunded_amount in", values, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountNotIn(List<Long> values) {
            addCriterion("refunded_amount not in", values, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountBetween(Long value1, Long value2) {
            addCriterion("refunded_amount between", value1, value2, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andRefundedAmountNotBetween(Long value1, Long value2) {
            addCriterion("refunded_amount not between", value1, value2, "refundedAmount");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlIsNull() {
            addCriterion("notify_url is null");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlIsNotNull() {
            addCriterion("notify_url is not null");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlEqualTo(String value) {
            addCriterion("notify_url =", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlNotEqualTo(String value) {
            addCriterion("notify_url <>", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlGreaterThan(String value) {
            addCriterion("notify_url >", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlGreaterThanOrEqualTo(String value) {
            addCriterion("notify_url >=", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlLessThan(String value) {
            addCriterion("notify_url <", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlLessThanOrEqualTo(String value) {
            addCriterion("notify_url <=", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlLike(String value) {
            addCriterion("notify_url like", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlNotLike(String value) {
            addCriterion("notify_url not like", value, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlIn(List<String> values) {
            addCriterion("notify_url in", values, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlNotIn(List<String> values) {
            addCriterion("notify_url not in", values, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlBetween(String value1, String value2) {
            addCriterion("notify_url between", value1, value2, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andNotifyUrlNotBetween(String value1, String value2) {
            addCriterion("notify_url not between", value1, value2, "notifyUrl");
            return (Criteria) this;
        }

        public Criteria andTimeExpireIsNull() {
            addCriterion("time_expire is null");
            return (Criteria) this;
        }

        public Criteria andTimeExpireIsNotNull() {
            addCriterion("time_expire is not null");
            return (Criteria) this;
        }

        public Criteria andTimeExpireEqualTo(String value) {
            addCriterion("time_expire =", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireNotEqualTo(String value) {
            addCriterion("time_expire <>", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireGreaterThan(String value) {
            addCriterion("time_expire >", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireGreaterThanOrEqualTo(String value) {
            addCriterion("time_expire >=", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireLessThan(String value) {
            addCriterion("time_expire <", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireLessThanOrEqualTo(String value) {
            addCriterion("time_expire <=", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireLike(String value) {
            addCriterion("time_expire like", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireNotLike(String value) {
            addCriterion("time_expire not like", value, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireIn(List<String> values) {
            addCriterion("time_expire in", values, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireNotIn(List<String> values) {
            addCriterion("time_expire not in", values, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireBetween(String value1, String value2) {
            addCriterion("time_expire between", value1, value2, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andTimeExpireNotBetween(String value1, String value2) {
            addCriterion("time_expire not between", value1, value2, "timeExpire");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNull() {
            addCriterion("pay_status is null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNotNull() {
            addCriterion("pay_status is not null");
            return (Criteria) this;
        }

        public Criteria andPayStatusEqualTo(String value) {
            addCriterion("pay_status =", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotEqualTo(String value) {
            addCriterion("pay_status <>", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThan(String value) {
            addCriterion("pay_status >", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThanOrEqualTo(String value) {
            addCriterion("pay_status >=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThan(String value) {
            addCriterion("pay_status <", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThanOrEqualTo(String value) {
            addCriterion("pay_status <=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLike(String value) {
            addCriterion("pay_status like", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotLike(String value) {
            addCriterion("pay_status not like", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusIn(List<String> values) {
            addCriterion("pay_status in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotIn(List<String> values) {
            addCriterion("pay_status not in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusBetween(String value1, String value2) {
            addCriterion("pay_status between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotBetween(String value1, String value2) {
            addCriterion("pay_status not between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNull() {
            addCriterion("pay_time is null");
            return (Criteria) this;
        }

        public Criteria andPayTimeIsNotNull() {
            addCriterion("pay_time is not null");
            return (Criteria) this;
        }

        public Criteria andPayTimeEqualTo(Date value) {
            addCriterion("pay_time =", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotEqualTo(Date value) {
            addCriterion("pay_time <>", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThan(Date value) {
            addCriterion("pay_time >", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("pay_time >=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThan(Date value) {
            addCriterion("pay_time <", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeLessThanOrEqualTo(Date value) {
            addCriterion("pay_time <=", value, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeIn(List<Date> values) {
            addCriterion("pay_time in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotIn(List<Date> values) {
            addCriterion("pay_time not in", values, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeBetween(Date value1, Date value2) {
            addCriterion("pay_time between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andPayTimeNotBetween(Date value1, Date value2) {
            addCriterion("pay_time not between", value1, value2, "payTime");
            return (Criteria) this;
        }

        public Criteria andVersionIsNull() {
            addCriterion("version is null");
            return (Criteria) this;
        }

        public Criteria andVersionIsNotNull() {
            addCriterion("version is not null");
            return (Criteria) this;
        }

        public Criteria andVersionEqualTo(Integer value) {
            addCriterion("version =", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionNotEqualTo(Integer value) {
            addCriterion("version <>", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionGreaterThan(Integer value) {
            addCriterion("version >", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionGreaterThanOrEqualTo(Integer value) {
            addCriterion("version >=", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionLessThan(Integer value) {
            addCriterion("version <", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionLessThanOrEqualTo(Integer value) {
            addCriterion("version <=", value, "version");
            return (Criteria) this;
        }

        public Criteria andVersionIn(List<Integer> values) {
            addCriterion("version in", values, "version");
            return (Criteria) this;
        }

        public Criteria andVersionNotIn(List<Integer> values) {
            addCriterion("version not in", values, "version");
            return (Criteria) this;
        }

        public Criteria andVersionBetween(Integer value1, Integer value2) {
            addCriterion("version between", value1, value2, "version");
            return (Criteria) this;
        }

        public Criteria andVersionNotBetween(Integer value1, Integer value2) {
            addCriterion("version not between", value1, value2, "version");
            return (Criteria) this;
        }

        public Criteria andScanCodeIsNull() {
            addCriterion("scan_code is null");
            return (Criteria) this;
        }

        public Criteria andScanCodeIsNotNull() {
            addCriterion("scan_code is not null");
            return (Criteria) this;
        }

        public Criteria andScanCodeEqualTo(String value) {
            addCriterion("scan_code =", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeNotEqualTo(String value) {
            addCriterion("scan_code <>", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeGreaterThan(String value) {
            addCriterion("scan_code >", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeGreaterThanOrEqualTo(String value) {
            addCriterion("scan_code >=", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeLessThan(String value) {
            addCriterion("scan_code <", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeLessThanOrEqualTo(String value) {
            addCriterion("scan_code <=", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeLike(String value) {
            addCriterion("scan_code like", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeNotLike(String value) {
            addCriterion("scan_code not like", value, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeIn(List<String> values) {
            addCriterion("scan_code in", values, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeNotIn(List<String> values) {
            addCriterion("scan_code not in", values, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeBetween(String value1, String value2) {
            addCriterion("scan_code between", value1, value2, "scanCode");
            return (Criteria) this;
        }

        public Criteria andScanCodeNotBetween(String value1, String value2) {
            addCriterion("scan_code not between", value1, value2, "scanCode");
            return (Criteria) this;
        }

        public Criteria andCodeUrlIsNull() {
            addCriterion("code_url is null");
            return (Criteria) this;
        }

        public Criteria andCodeUrlIsNotNull() {
            addCriterion("code_url is not null");
            return (Criteria) this;
        }

        public Criteria andCodeUrlEqualTo(String value) {
            addCriterion("code_url =", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlNotEqualTo(String value) {
            addCriterion("code_url <>", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlGreaterThan(String value) {
            addCriterion("code_url >", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlGreaterThanOrEqualTo(String value) {
            addCriterion("code_url >=", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlLessThan(String value) {
            addCriterion("code_url <", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlLessThanOrEqualTo(String value) {
            addCriterion("code_url <=", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlLike(String value) {
            addCriterion("code_url like", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlNotLike(String value) {
            addCriterion("code_url not like", value, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlIn(List<String> values) {
            addCriterion("code_url in", values, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlNotIn(List<String> values) {
            addCriterion("code_url not in", values, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlBetween(String value1, String value2) {
            addCriterion("code_url between", value1, value2, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andCodeUrlNotBetween(String value1, String value2) {
            addCriterion("code_url not between", value1, value2, "codeUrl");
            return (Criteria) this;
        }

        public Criteria andPidIsNull() {
            addCriterion("pid is null");
            return (Criteria) this;
        }

        public Criteria andPidIsNotNull() {
            addCriterion("pid is not null");
            return (Criteria) this;
        }

        public Criteria andPidEqualTo(String value) {
            addCriterion("pid =", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidNotEqualTo(String value) {
            addCriterion("pid <>", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidGreaterThan(String value) {
            addCriterion("pid >", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidGreaterThanOrEqualTo(String value) {
            addCriterion("pid >=", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidLessThan(String value) {
            addCriterion("pid <", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidLessThanOrEqualTo(String value) {
            addCriterion("pid <=", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidLike(String value) {
            addCriterion("pid like", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidNotLike(String value) {
            addCriterion("pid not like", value, "pid");
            return (Criteria) this;
        }

        public Criteria andPidIn(List<String> values) {
            addCriterion("pid in", values, "pid");
            return (Criteria) this;
        }

        public Criteria andPidNotIn(List<String> values) {
            addCriterion("pid not in", values, "pid");
            return (Criteria) this;
        }

        public Criteria andPidBetween(String value1, String value2) {
            addCriterion("pid between", value1, value2, "pid");
            return (Criteria) this;
        }

        public Criteria andPidNotBetween(String value1, String value2) {
            addCriterion("pid not between", value1, value2, "pid");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNull() {
            addCriterion("store_id is null");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNotNull() {
            addCriterion("store_id is not null");
            return (Criteria) this;
        }

        public Criteria andStoreIdEqualTo(String value) {
            addCriterion("store_id =", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotEqualTo(String value) {
            addCriterion("store_id <>", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThan(String value) {
            addCriterion("store_id >", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThanOrEqualTo(String value) {
            addCriterion("store_id >=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThan(String value) {
            addCriterion("store_id <", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThanOrEqualTo(String value) {
            addCriterion("store_id <=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLike(String value) {
            addCriterion("store_id like", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotLike(String value) {
            addCriterion("store_id not like", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdIn(List<String> values) {
            addCriterion("store_id in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotIn(List<String> values) {
            addCriterion("store_id not in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdBetween(String value1, String value2) {
            addCriterion("store_id between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotBetween(String value1, String value2) {
            addCriterion("store_id not between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andPayIpIsNull() {
            addCriterion("pay_ip is null");
            return (Criteria) this;
        }

        public Criteria andPayIpIsNotNull() {
            addCriterion("pay_ip is not null");
            return (Criteria) this;
        }

        public Criteria andPayIpEqualTo(String value) {
            addCriterion("pay_ip =", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpNotEqualTo(String value) {
            addCriterion("pay_ip <>", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpGreaterThan(String value) {
            addCriterion("pay_ip >", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpGreaterThanOrEqualTo(String value) {
            addCriterion("pay_ip >=", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpLessThan(String value) {
            addCriterion("pay_ip <", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpLessThanOrEqualTo(String value) {
            addCriterion("pay_ip <=", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpLike(String value) {
            addCriterion("pay_ip like", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpNotLike(String value) {
            addCriterion("pay_ip not like", value, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpIn(List<String> values) {
            addCriterion("pay_ip in", values, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpNotIn(List<String> values) {
            addCriterion("pay_ip not in", values, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpBetween(String value1, String value2) {
            addCriterion("pay_ip between", value1, value2, "payIp");
            return (Criteria) this;
        }

        public Criteria andPayIpNotBetween(String value1, String value2) {
            addCriterion("pay_ip not between", value1, value2, "payIp");
            return (Criteria) this;
        }

        public Criteria andOpenIdIsNull() {
            addCriterion("open_id is null");
            return (Criteria) this;
        }

        public Criteria andOpenIdIsNotNull() {
            addCriterion("open_id is not null");
            return (Criteria) this;
        }

        public Criteria andOpenIdEqualTo(String value) {
            addCriterion("open_id =", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdNotEqualTo(String value) {
            addCriterion("open_id <>", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdGreaterThan(String value) {
            addCriterion("open_id >", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdGreaterThanOrEqualTo(String value) {
            addCriterion("open_id >=", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdLessThan(String value) {
            addCriterion("open_id <", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdLessThanOrEqualTo(String value) {
            addCriterion("open_id <=", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdLike(String value) {
            addCriterion("open_id like", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdNotLike(String value) {
            addCriterion("open_id not like", value, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdIn(List<String> values) {
            addCriterion("open_id in", values, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdNotIn(List<String> values) {
            addCriterion("open_id not in", values, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdBetween(String value1, String value2) {
            addCriterion("open_id between", value1, value2, "openId");
            return (Criteria) this;
        }

        public Criteria andOpenIdNotBetween(String value1, String value2) {
            addCriterion("open_id not between", value1, value2, "openId");
            return (Criteria) this;
        }

        public Criteria andTradeTypeIsNull() {
            addCriterion("trade_type is null");
            return (Criteria) this;
        }

        public Criteria andTradeTypeIsNotNull() {
            addCriterion("trade_type is not null");
            return (Criteria) this;
        }

        public Criteria andTradeTypeEqualTo(String value) {
            addCriterion("trade_type =", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeNotEqualTo(String value) {
            addCriterion("trade_type <>", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeGreaterThan(String value) {
            addCriterion("trade_type >", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeGreaterThanOrEqualTo(String value) {
            addCriterion("trade_type >=", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeLessThan(String value) {
            addCriterion("trade_type <", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeLessThanOrEqualTo(String value) {
            addCriterion("trade_type <=", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeLike(String value) {
            addCriterion("trade_type like", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeNotLike(String value) {
            addCriterion("trade_type not like", value, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeIn(List<String> values) {
            addCriterion("trade_type in", values, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeNotIn(List<String> values) {
            addCriterion("trade_type not in", values, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeBetween(String value1, String value2) {
            addCriterion("trade_type between", value1, value2, "tradeType");
            return (Criteria) this;
        }

        public Criteria andTradeTypeNotBetween(String value1, String value2) {
            addCriterion("trade_type not between", value1, value2, "tradeType");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoIsNull() {
            addCriterion("member_card_no is null");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoIsNotNull() {
            addCriterion("member_card_no is not null");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoEqualTo(String value) {
            addCriterion("member_card_no =", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoNotEqualTo(String value) {
            addCriterion("member_card_no <>", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoGreaterThan(String value) {
            addCriterion("member_card_no >", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoGreaterThanOrEqualTo(String value) {
            addCriterion("member_card_no >=", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoLessThan(String value) {
            addCriterion("member_card_no <", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoLessThanOrEqualTo(String value) {
            addCriterion("member_card_no <=", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoLike(String value) {
            addCriterion("member_card_no like", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoNotLike(String value) {
            addCriterion("member_card_no not like", value, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoIn(List<String> values) {
            addCriterion("member_card_no in", values, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoNotIn(List<String> values) {
            addCriterion("member_card_no not in", values, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoBetween(String value1, String value2) {
            addCriterion("member_card_no between", value1, value2, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberCardNoNotBetween(String value1, String value2) {
            addCriterion("member_card_no not between", value1, value2, "memberCardNo");
            return (Criteria) this;
        }

        public Criteria andMemberNameIsNull() {
            addCriterion("member_name is null");
            return (Criteria) this;
        }

        public Criteria andMemberNameIsNotNull() {
            addCriterion("member_name is not null");
            return (Criteria) this;
        }

        public Criteria andMemberNameEqualTo(String value) {
            addCriterion("member_name =", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameNotEqualTo(String value) {
            addCriterion("member_name <>", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameGreaterThan(String value) {
            addCriterion("member_name >", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameGreaterThanOrEqualTo(String value) {
            addCriterion("member_name >=", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameLessThan(String value) {
            addCriterion("member_name <", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameLessThanOrEqualTo(String value) {
            addCriterion("member_name <=", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameLike(String value) {
            addCriterion("member_name like", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameNotLike(String value) {
            addCriterion("member_name not like", value, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameIn(List<String> values) {
            addCriterion("member_name in", values, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameNotIn(List<String> values) {
            addCriterion("member_name not in", values, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameBetween(String value1, String value2) {
            addCriterion("member_name between", value1, value2, "memberName");
            return (Criteria) this;
        }

        public Criteria andMemberNameNotBetween(String value1, String value2) {
            addCriterion("member_name not between", value1, value2, "memberName");
            return (Criteria) this;
        }

        public Criteria andCardNumIsNull() {
            addCriterion("card_num is null");
            return (Criteria) this;
        }

        public Criteria andCardNumIsNotNull() {
            addCriterion("card_num is not null");
            return (Criteria) this;
        }

        public Criteria andCardNumEqualTo(String value) {
            addCriterion("card_num =", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumNotEqualTo(String value) {
            addCriterion("card_num <>", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumGreaterThan(String value) {
            addCriterion("card_num >", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumGreaterThanOrEqualTo(String value) {
            addCriterion("card_num >=", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumLessThan(String value) {
            addCriterion("card_num <", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumLessThanOrEqualTo(String value) {
            addCriterion("card_num <=", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumLike(String value) {
            addCriterion("card_num like", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumNotLike(String value) {
            addCriterion("card_num not like", value, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumIn(List<String> values) {
            addCriterion("card_num in", values, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumNotIn(List<String> values) {
            addCriterion("card_num not in", values, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumBetween(String value1, String value2) {
            addCriterion("card_num between", value1, value2, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardNumNotBetween(String value1, String value2) {
            addCriterion("card_num not between", value1, value2, "cardNum");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeIsNull() {
            addCriterion("card_hid_code is null");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeIsNotNull() {
            addCriterion("card_hid_code is not null");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeEqualTo(String value) {
            addCriterion("card_hid_code =", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeNotEqualTo(String value) {
            addCriterion("card_hid_code <>", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeGreaterThan(String value) {
            addCriterion("card_hid_code >", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeGreaterThanOrEqualTo(String value) {
            addCriterion("card_hid_code >=", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeLessThan(String value) {
            addCriterion("card_hid_code <", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeLessThanOrEqualTo(String value) {
            addCriterion("card_hid_code <=", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeLike(String value) {
            addCriterion("card_hid_code like", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeNotLike(String value) {
            addCriterion("card_hid_code not like", value, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeIn(List<String> values) {
            addCriterion("card_hid_code in", values, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeNotIn(List<String> values) {
            addCriterion("card_hid_code not in", values, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeBetween(String value1, String value2) {
            addCriterion("card_hid_code between", value1, value2, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andCardHidCodeNotBetween(String value1, String value2) {
            addCriterion("card_hid_code not between", value1, value2, "cardHidCode");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoIsNull() {
            addCriterion("retrvl_ref_no is null");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoIsNotNull() {
            addCriterion("retrvl_ref_no is not null");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoEqualTo(String value) {
            addCriterion("retrvl_ref_no =", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoNotEqualTo(String value) {
            addCriterion("retrvl_ref_no <>", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoGreaterThan(String value) {
            addCriterion("retrvl_ref_no >", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoGreaterThanOrEqualTo(String value) {
            addCriterion("retrvl_ref_no >=", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoLessThan(String value) {
            addCriterion("retrvl_ref_no <", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoLessThanOrEqualTo(String value) {
            addCriterion("retrvl_ref_no <=", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoLike(String value) {
            addCriterion("retrvl_ref_no like", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoNotLike(String value) {
            addCriterion("retrvl_ref_no not like", value, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoIn(List<String> values) {
            addCriterion("retrvl_ref_no in", values, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoNotIn(List<String> values) {
            addCriterion("retrvl_ref_no not in", values, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoBetween(String value1, String value2) {
            addCriterion("retrvl_ref_no between", value1, value2, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andRetrvlRefNoNotBetween(String value1, String value2) {
            addCriterion("retrvl_ref_no not between", value1, value2, "retrvlRefNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoIsNull() {
            addCriterion("ori_trace_no is null");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoIsNotNull() {
            addCriterion("ori_trace_no is not null");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoEqualTo(String value) {
            addCriterion("ori_trace_no =", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoNotEqualTo(String value) {
            addCriterion("ori_trace_no <>", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoGreaterThan(String value) {
            addCriterion("ori_trace_no >", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoGreaterThanOrEqualTo(String value) {
            addCriterion("ori_trace_no >=", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoLessThan(String value) {
            addCriterion("ori_trace_no <", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoLessThanOrEqualTo(String value) {
            addCriterion("ori_trace_no <=", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoLike(String value) {
            addCriterion("ori_trace_no like", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoNotLike(String value) {
            addCriterion("ori_trace_no not like", value, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoIn(List<String> values) {
            addCriterion("ori_trace_no in", values, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoNotIn(List<String> values) {
            addCriterion("ori_trace_no not in", values, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoBetween(String value1, String value2) {
            addCriterion("ori_trace_no between", value1, value2, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriTraceNoNotBetween(String value1, String value2) {
            addCriterion("ori_trace_no not between", value1, value2, "oriTraceNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoIsNull() {
            addCriterion("ori_batch_no is null");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoIsNotNull() {
            addCriterion("ori_batch_no is not null");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoEqualTo(String value) {
            addCriterion("ori_batch_no =", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoNotEqualTo(String value) {
            addCriterion("ori_batch_no <>", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoGreaterThan(String value) {
            addCriterion("ori_batch_no >", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoGreaterThanOrEqualTo(String value) {
            addCriterion("ori_batch_no >=", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoLessThan(String value) {
            addCriterion("ori_batch_no <", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoLessThanOrEqualTo(String value) {
            addCriterion("ori_batch_no <=", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoLike(String value) {
            addCriterion("ori_batch_no like", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoNotLike(String value) {
            addCriterion("ori_batch_no not like", value, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoIn(List<String> values) {
            addCriterion("ori_batch_no in", values, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoNotIn(List<String> values) {
            addCriterion("ori_batch_no not in", values, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoBetween(String value1, String value2) {
            addCriterion("ori_batch_no between", value1, value2, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andOriBatchNoNotBetween(String value1, String value2) {
            addCriterion("ori_batch_no not between", value1, value2, "oriBatchNo");
            return (Criteria) this;
        }

        public Criteria andTransDateIsNull() {
            addCriterion("trans_date is null");
            return (Criteria) this;
        }

        public Criteria andTransDateIsNotNull() {
            addCriterion("trans_date is not null");
            return (Criteria) this;
        }

        public Criteria andTransDateEqualTo(String value) {
            addCriterion("trans_date =", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateNotEqualTo(String value) {
            addCriterion("trans_date <>", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateGreaterThan(String value) {
            addCriterion("trans_date >", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateGreaterThanOrEqualTo(String value) {
            addCriterion("trans_date >=", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateLessThan(String value) {
            addCriterion("trans_date <", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateLessThanOrEqualTo(String value) {
            addCriterion("trans_date <=", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateLike(String value) {
            addCriterion("trans_date like", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateNotLike(String value) {
            addCriterion("trans_date not like", value, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateIn(List<String> values) {
            addCriterion("trans_date in", values, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateNotIn(List<String> values) {
            addCriterion("trans_date not in", values, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateBetween(String value1, String value2) {
            addCriterion("trans_date between", value1, value2, "transDate");
            return (Criteria) this;
        }

        public Criteria andTransDateNotBetween(String value1, String value2) {
            addCriterion("trans_date not between", value1, value2, "transDate");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoIsNull() {
            addCriterion("request_detail_info is null");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoIsNotNull() {
            addCriterion("request_detail_info is not null");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoEqualTo(String value) {
            addCriterion("request_detail_info =", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoNotEqualTo(String value) {
            addCriterion("request_detail_info <>", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoGreaterThan(String value) {
            addCriterion("request_detail_info >", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoGreaterThanOrEqualTo(String value) {
            addCriterion("request_detail_info >=", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoLessThan(String value) {
            addCriterion("request_detail_info <", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoLessThanOrEqualTo(String value) {
            addCriterion("request_detail_info <=", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoLike(String value) {
            addCriterion("request_detail_info like", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoNotLike(String value) {
            addCriterion("request_detail_info not like", value, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoIn(List<String> values) {
            addCriterion("request_detail_info in", values, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoNotIn(List<String> values) {
            addCriterion("request_detail_info not in", values, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoBetween(String value1, String value2) {
            addCriterion("request_detail_info between", value1, value2, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andRequestDetailInfoNotBetween(String value1, String value2) {
            addCriterion("request_detail_info not between", value1, value2, "requestDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoIsNull() {
            addCriterion("response_detail_info is null");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoIsNotNull() {
            addCriterion("response_detail_info is not null");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoEqualTo(String value) {
            addCriterion("response_detail_info =", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoNotEqualTo(String value) {
            addCriterion("response_detail_info <>", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoGreaterThan(String value) {
            addCriterion("response_detail_info >", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoGreaterThanOrEqualTo(String value) {
            addCriterion("response_detail_info >=", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoLessThan(String value) {
            addCriterion("response_detail_info <", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoLessThanOrEqualTo(String value) {
            addCriterion("response_detail_info <=", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoLike(String value) {
            addCriterion("response_detail_info like", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoNotLike(String value) {
            addCriterion("response_detail_info not like", value, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoIn(List<String> values) {
            addCriterion("response_detail_info in", values, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoNotIn(List<String> values) {
            addCriterion("response_detail_info not in", values, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoBetween(String value1, String value2) {
            addCriterion("response_detail_info between", value1, value2, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andResponseDetailInfoNotBetween(String value1, String value2) {
            addCriterion("response_detail_info not between", value1, value2, "responseDetailInfo");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(String value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(String value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(String value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(String value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(String value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(String value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLike(String value) {
            addCriterion("created_by like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotLike(String value) {
            addCriterion("created_by not like", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<String> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<String> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(String value1, String value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(String value1, String value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNull() {
            addCriterion("updated_by is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIsNotNull() {
            addCriterion("updated_by is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedByEqualTo(String value) {
            addCriterion("updated_by =", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotEqualTo(String value) {
            addCriterion("updated_by <>", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThan(String value) {
            addCriterion("updated_by >", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByGreaterThanOrEqualTo(String value) {
            addCriterion("updated_by >=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThan(String value) {
            addCriterion("updated_by <", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLessThanOrEqualTo(String value) {
            addCriterion("updated_by <=", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByLike(String value) {
            addCriterion("updated_by like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotLike(String value) {
            addCriterion("updated_by not like", value, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByIn(List<String> values) {
            addCriterion("updated_by in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotIn(List<String> values) {
            addCriterion("updated_by not in", values, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByBetween(String value1, String value2) {
            addCriterion("updated_by between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedByNotBetween(String value1, String value2) {
            addCriterion("updated_by not between", value1, value2, "updatedBy");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}