package com.neusoft.smart.pos.report.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel
public class BusinessGroupResponse {

    private Integer total;

    private List<MemberBusinessGroup> row;
    @Data
    @ApiModel
    public static class MemberBusinessGroup {
        private String orgName;
        private double breakfastAmount;
        private Integer breakfastCount;
        private BigDecimal breakfastAverage;

        private double launchAmount;
        private Integer launchCount;
        private BigDecimal launchAverage;

        private double supperAmount;
        private Integer supperCount;
        private BigDecimal supperAverage;

        private double totalAmount;
        private Integer totalCount;
        private BigDecimal totalAverage;

    }
}
