package com.neusoft.smart.pos.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class ConsumptionDetailsResponse {
    private Integer total;
    private List<MemberConsumption> row;
    @Data
    @ApiModel
    public static class MemberConsumption {

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date consumeTime;
        private Float consumeAmount;
        private String mealTimes;
        private String orgName;
        private String shopName;
        private int payType;
        private String serialNo;
        private String deviceName;
    }
}
