package com.neusoft.smart.pos.report.dto;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

@ApiModel
@Data
public class PersonaConsumptionGetMcodeRequest extends AbstractQuery {
    private String mcode;
    private String sign;
    private String   employeeNumber;
    /**
     * 营业组
     */
private String orgName;


    @ApiModelProperty(name = "startTime", value = "时间", dataType = "String" ,example="中午")
    private String startTime;
    @ApiModelProperty(name = "endTime", value = "时间", dataType = "String" ,example="中午")
    private String endTime;


}
