package com.neusoft.smart.pos.report.persistent.repository;



import com.neusoft.smart.pos.report.persistent.domain.OrganizationGroup;
import com.neusoft.smart.pos.report.persistent.mapper.ManageableGroupMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
public class ManageableGroupRepository {
    @Autowired
    public ManageableGroupMapper manageableGroupMapper;

    public OrganizationGroup getManageableGroup(Integer orgId){

        return manageableGroupMapper.selectByUserExample(orgId);
    }
}
