package com.neusoft.smart.pos.trade.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BillCycleExt implements Serializable {
    
    private Integer orgId;      //集团ID
    private Integer shopId;     //门店ID
    private String billNumber;  //账期编号(根据结算周期命名20181031)
    private String billName;    //账期名称(结算周期起止时间命名20181001-20181031)
    private Date billStartTime; //账单开始时间
    private Date billEndTime;   //账单结束时间
    private String cycleType;   //周期类型@1:月结@2:年结@3:季结@4:周结
    
   
}