package com.neusoft.smart.pos.trade.service;


import com.neusoft.smart.pos.order.persistent.domain.OrderMaster;
import com.neusoft.smart.pos.trade.persistent.ext.domain.BillProfitExt;
import com.neusoft.smart.pos.trade.persistent.ext.domain.BillSettlementRuleExt;

public interface IBillRuleService {
	
	/**
	 * 规则执行方法
	 * @param billSettlementRuleExt
	 * @param orderMaster
	 * @return
	 */
	BillProfitExt executeRule(String billNumber, BillSettlementRuleExt billSettlementRuleExt, OrderMaster orderMaster);
	
}
