package com.neusoft.smart.pos.user.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class ChangePasswordRequest {
    @ApiModelProperty(name = "username", value = "用户名", dataType = "String", required = true)
    @NotNull(message = "用户名不能为空")
    private String username;
    @ApiModelProperty(name = "password", value = "新密码", dataType = "String", required = true)
    @NotNull(message = "新密码不能为空")
    private String password;
}
