package com.neusoft.smart.pos.user.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class PermissionGroupRequest {
    @ApiModelProperty(name = "userId", value = "用户ID", dataType = "Integer", required = true)
    @NotNull(message = "用户ID不能为空")
    int userId;
    @ApiModelProperty(name = "permissionGroupId", value = "权限组ID", dataType = "Integer", required = true)
    @NotNull(message = "权限组ID不能为空")
    int permissionGroupId;
}
