package com.neusoft.smart.pos.user.service;

import com.neusoft.smart.pos.dto.device.request.DeviceQueryRequest;
import com.neusoft.smart.pos.dto.device.response.DeviceResponse;
import com.neusoft.smart.pos.framework.bean.PaginationExtendBean;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "service-device")
public interface RemoteDeviceService {
    @PostMapping("/devices")
    ResponseData<PaginationExtendBean<DeviceResponse>> fetchList(@RequestBody DeviceQueryRequest deviceQueryRequest);
}
