package com.neusoft.smart.pos.user.service;

import com.neusoft.smart.pos.dto.org.response.PostOrgGroupResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-org")
public interface RemoteOrgGroupService {
    @GetMapping("/orgGroup/my")
    ResponseData<PostOrgGroupResponse> getOrgGroupSelf(@RequestParam("entity") String entity, @RequestParam("id") int id);

    @GetMapping("/orgGroup/parents")
    ResponseData<List<PostOrgGroupResponse>> getOrgGroupParents(@RequestParam("entity") String entity, @RequestParam("id") int id);
}
