package com.neusoft.smart.pos.dto.advertisement.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class MediaStrategyRequest {
	
	private Integer id;
	
	private Integer strategyId;
	
	private Integer deviceId;
	
	private Integer mediaResourceId;
	
	private Integer playLength;
	
	@JsonFormat(pattern = "HH:mm")
	private Date showTimeBegin;
	
	@JsonFormat(pattern = "HH:mm")
	private Date showTimeEnd;
	
	private Integer backgroundAudioId;
	
	private Integer status;
}