package com.neusoft.smart.pos.dto.card.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel(value = "卡交易取消请求对象")
public class CardTradeCancelRequest {

	@NotEmpty(message = "支付单编号不可为空")
	@ApiModelProperty(name = "outTradeId", value = "支付单编号", dataType = "String", example = "xxxxxxxxxx", required = true)
	private String outTradeId;
	
}