package com.neusoft.smart.pos.dto.card.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class CardTradeCreateResponse {

    private String outTradeId; //平台支付单编号
    private String cardTradeNum; //卡交易流水号

	private Long balance;//余额
	private Integer point;//积分
    private String cardNum;  // 卡号
    private String cardAnotherId; // 卡ID2
    private String cardOtherId;  //卡其他ID
	
	private String payStatus;  //卡交易状态
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	protected Date payTime;
}
