package com.neusoft.smart.pos.dto.card.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class CardTradeQueryResponse {

    private String outTradeId; //平台支付单编号
    private String cardTradeNum; //卡交易流水号

    private String payStatus;  //卡交易状态
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date payTime;
}
