package com.neusoft.smart.pos.dto.device.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class DeviceStatusRequest {
	
	@NotNull(message = "设备id不可为空")
	@ApiModelProperty(name = "deviceIds", value = "设备id", dataType = "List", example = "[1]", required = true)
	private List<Integer> deviceIds;
	
	@NotNull(message = "设备状态不可为空")
	@ApiModelProperty(name = "status", value = "设备状态", dataType = "Integer", example = "1", required = true)
	private Integer status;
}
