package com.neusoft.smart.pos.dto.device.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel
public class DeviceStoreRequest {
	
//	@NotNull(message = "设备id不可为空")
	@ApiModelProperty(name = "deviceIds", value = "设备id", dataType = "List", example = "[1]", required = true)
	private List<Integer> deviceIds;
	
	@NotNull(message = "门店id不可为空")
	@ApiModelProperty(name = "storeId", value = "门店id", dataType = "Integer", example = "1", required = true)
	private Integer storeId;
}
