package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class GetRetailGoodsListRequest extends BaseGetGoodsListRequest {
    
    @ApiModelProperty(value = "条码")
    private String barCode;
    
    @ApiModelProperty(value = "商品名称")
    private String name;
    
    @ApiModelProperty(value = "类型id")
    private Integer categoryId;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> storeIds;
}
