package com.neusoft.smart.pos.dto.inventory.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class UpdateCategoryRequest {
    
    @ApiModelProperty(value = "类别名称", required = true)
    private String name;
    
    @NotNull(message = "行业不能为空")
    @ApiModelProperty(value = "行业 餐饮: 1", required = true)
    private byte industry;
    
    @ApiModelProperty(value = "门店id")
    private Integer store;
    
    @ApiModelProperty(value = "父类别id")
    private Integer parent;
}
