package com.neusoft.smart.pos.dto.inventory.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class InventoryCheckStockDetailResponse {
    
    private Integer total;
    
    private List<Entry> data;
    
    @Data
    public static class Entry {
        
        private Integer id;
        
        private String goodsBarCode;
        
        private String goodsName;
        
        private String goodsCategory;
        
        private String supplier;
        
        private String goodsUnit;
        
        private BigDecimal stockNum;
        
        private BigDecimal checkNum;
        
        private BigDecimal diffNum;
        
        private String remark;
    }
}
