package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@Data
public class InventoryGoodsResponse {
    
    private Integer id;
    
    private String name;
    
    private String barCode;
    
    private String unit;
    
    private Integer scale;
    
    private BigDecimal price;
    
    private String image;
    
    private Integer onSale;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer cateId;
    
    private Integer deleted;
    
    private Integer isStock;
    
    private String isStockStr;
    
    private Integer priority;
    
    private Integer isThirdparty;
    
    private Date createdTime;
    
    private Integer createdBy;
    
    private Date updatedTime;
    
    private Integer updatedBy;
    
    @ApiModelProperty(value = "类别名称")
    private String cateName;
    
    @ApiModelProperty(value = "菜品标签 id => name")
    private Map<Integer, String> tags;
}
