package com.neusoft.smart.pos.dto.member.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel
public class CreateMemberLevelRequest {
    @NotNull
    @ApiModelProperty(value = "等级名称")
    private String name;

    @NotNull
    @ApiModelProperty(value = "等级")
    private Integer level;

    @NotNull
    @ApiModelProperty(value = "等级充值额度条件")
    private BigDecimal requiredRechargeAmount;

    @ApiModelProperty(value = "折扣比例")
    private BigDecimal discount;

    @ApiModelProperty(value = "集团id")
    private Integer org;

    @ApiModelProperty(value = "门店id")
    private Integer store;
}
