package com.neusoft.smart.pos.dto.member.request;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel
public class PosRegisterMemberRequest {
    @NotNull(message = "name is required")
    private String name;

    @NotNull(message = "mobile is required")
    private String mobile;

    private String cardPassword;

    private Date birthday;
    private Integer gender;
    private String address;
    private String avatar;
    private String content;
    private String cardNum;
    private String needPassword;
}
