package com.neusoft.smart.pos.dto.member.request;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel
public class UpdateMemberRequest {
	
	@NotNull(message = "id is required")
	private Integer id;
	
	private String name;
	
	private String mobile;
	
	private Integer store;
	
	private Date birthday;
	
	private Integer gender;
	
	private String address;
	
	private String avatar;
	
	private String content;
	
	private Integer isActive;
	
	private String memberEmail;
	
	private String memberCode;

    private Integer memberType;
}
