package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-05 16：43
 * @description 设置订单状态Response
 */
@ApiModel
@Data
public class PutSetOrderStatusResponse {
    @ApiModelProperty(name = "isSuccess", value = "订单状态是否更新成功@false:失败@true:成功", dataType = "boolean", example = "true")
    public Boolean isSuccess;

    public PutSetOrderStatusResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }
}

