package com.neusoft.smart.pos.dto.order.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2020-02-25 16：43
 * @description 更新支付结果Response
 */
@ApiModel
@Data
public class UpdateOrderPayResultResponse {

    @ApiModelProperty(name = "isSuccess", value = "订单取消是否更新成功@false:失败@true:成功", dataType = "boolean" ,example="true")
    public Boolean isSuccess;

    @ApiModelProperty(name = "payTime", value = "支付时间", dataType = "String" ,example="2018-05-26 18:55:45")
    public String payTime;

    public UpdateOrderPayResultResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }
}
