package com.neusoft.smart.pos.dto.org.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class OrgQueryRequest implements Serializable {
	
	@ApiModelProperty(name = "id", value = "集团ID", dataType = "String" ,example="1")
    private String id;

    @ApiModelProperty(name = "name", value = "集团名称", dataType = "String" ,example="东软集团")
    private String name;

    @ApiModelProperty(name = "createDate", value = "创建时间", dataType = "String",example="2018-01-01")
    private String createDate;
    
    @ApiModelProperty(name = "orderField", value = "排序字段", dataType = "String" ,example="posnum")
    private String orderField;

    @ApiModelProperty(name = "dire", value = "升序降序", dataType = "String" ,example="desc/asc")
    private String dire;
    
    @ApiModelProperty(name = "offset", value = "起始位置", dataType = "int" ,example="0")
    private Integer offset;

    @ApiModelProperty(name = "limit", value = "一页长度", dataType = "int" ,example="10")
    private Integer limit;
    
    @ApiModelProperty(name = "type", value = "类型", dataType = "String" ,example="1")
    private String type;

}