package com.neusoft.smart.pos.dto.ota.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
public class AppStrategyGroupRequest {
	
	private Integer id;
	
	@NotEmpty(message = "策略名称")
	private String strategyName;
	
	@NotNull(message = "升级开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date upgradeTime;
	
	private Integer isForce;
	
	private String createBy;
	
	private Date createDate;
	
	@NotEmpty(message = "app名称")
	private List<AppStrategyRequest> apps;
	
	@NotEmpty(message = "app名称")
	private List<Integer> deviceIds;
	
	@NotEmpty(message = "app名称")
	private List<String> deviceSnList;
	
	
}
