package com.neusoft.smart.pos.dto.ota.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class UpgradePackageDeleteRequest {
	
	
	@NotNull(message = "更新包id不可为空")
	@ApiModelProperty(name = "packageIds", value = "更新包id", dataType = "List" ,example="[0]",required=true)
	private List<Integer> packageIds;
	
}
