package com.neusoft.smart.pos.dto.ota.response.API;


import lombok.Data;

@Data
public class DevicePostResponse implements DevicePostBaseResponse {
	
	private System system = new System();
	
	private String batterylimit;
	
	private String connecttimeout;
	
	private String readtimeout;
	
	private String timeoutcount;
	
	private String threadcount;
	
	private String piecesize;
	
	private String force = "false";
	
	private String updatetime = "60";
	
	@Data
	public class System {
		
		private String ret;
		
		private String version;
		
		private String path;
		
		private String name;
		
		private String md5;
		
		private String size;
		
		private String info;
		
		private String msg;
		
	}
}
