package com.neusoft.smart.pos.dto.payment.response;

import lombok.Data;

import javax.smartcardio.Card;
import java.io.Serializable;

@Data
public class FumaoCardPayRes extends FumaoResCommonInfo {

    private CardPaymentData cardPaymentData;
    private FumaoPaymentResult paymentResult;

    @Data
    public static class CardPaymentData implements Serializable {
        private String cardId;                          //预付卡ID
        private String cardAmountbeforePay;         //支付前卡余额
        private String cardAmountafterPay;              //支付后卡余额
    }

}
