package com.neusoft.smart.pos.dto.payment.response;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class FumaoPaymentType implements Serializable {
	private Integer sequence;				//支付序号
    private String paymentTypeId;            //支付ID
    private String paymentTypeName;			//支付名称
    private String selectType;	//选择类型1; 选择类型，0：可用户选择；1：执行一个订单是系统默认选择的支付类型
    private String isPaymentTypeSelected;		//是否被选择  1，是否选择：0 未选择，1 选择；如果SelectType为1，该项一般需要为1
    private String actionName;	//活动名称
    private String actionType;	//活动类型
    private String actionExecute;	//执行地址
    private List<FumaoPaymentData> paymentData;	//支付数据列表
    private FumaoPaymentPrediction paymentPredictionbyType;	//支付小结计算
    private String tradeId;     //交易订单编号
    private String paymentStatus;   //交易订单支付状态: 1-未付款; 2-已付款
}