package com.neusoft.smart.pos.dto.payment.response;

import lombok.Data;

@Data
public class FumaoResCommonInfo extends FumaoResBaseInfo {
    protected String tenant_id;                           //富茂系统商场ID
    protected String merchant_id;                          //富茂系统商户ID
    protected String order_operation_id;                     //富茂系统登录操作员ID
    protected String mem_id;							//会员ID,可空
    protected String mem_phone_number;						//会员电话,可空
    protected String business_type;                       //交易场景；枚举类型，0核销；1订单交易
    protected String order_amount;						//原金额
    protected String order_amount_left;                   //本次需要支付的剩余金额
    protected String order_create_sn;                  //创建订单的POS SN号
}
