package com.neusoft.smart.pos.dto.payorder.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tongmg
 * @date 2019-12-05 16：43
 * @description 设置支付单状态Response
 */
@ApiModel
@Data
public class PutSetPayOrderStatusResponse {
    @ApiModelProperty(name = "isSuccess", value = "支付单状态是否更新成功@false:失败@true:成功", dataType = "boolean", example = "true")
    public Boolean isSuccess;

    public PutSetPayOrderStatusResponse(Boolean isSuccess) {
        this.isSuccess = isSuccess;
    }
}

