package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印规则查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterRuleResponse {
	
	@ApiModelProperty(name = "id", value = "模板ID", dataType = "Integer", example = "1")
	public Long id;
	
	@ApiModelProperty(name = "ruleName", value = "规则名称", dataType = "String", example = "1")
	public String ruleName;
	
	@ApiModelProperty(name = "beanName", value = "实现类名称", dataType = "String", example = "1")
	public String beanName;
	
	@ApiModelProperty(name = "description", value = "规则描述", dataType = "String", example = "1")
	public String description;
	
	@ApiModelProperty(name = "isEnable", value = "是否启用@0未启用@1启用", dataType = "String", example = "1")
	public String isEnable;
	
	@ApiModelProperty(name = "createdAt", value = "创建时间", dataType = "Date", example = "1")
	public Date createdAt;
	
	@ApiModelProperty(name = "printerRuleAttributeList", value = "打印规则属性字典列表", dataType = "List" ,example="1")
	public List<GetPrinterRuleAttributeResponse> printerRuleAttributeList;
}
