package com.neusoft.smart.pos.dto.printer.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-10 10：43
 * @description 打印规则列表查询使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class GetPrinterRulesResponse {
	
	@ApiModelProperty(name = "printerRuleList", value = "打印规则字典列表", dataType = "List" ,example="1")
	public List<GetPrinterRuleResponse> printerRuleList;
	
}
