package com.neusoft.smart.pos.dto.promotion.bean;

import com.neusoft.smart.pos.dto.promotion.request.GetPreferentialPriceRequest;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CalculateBean extends GetPreferentialPriceRequest {
    
    private BigDecimal actualPrice;
    
    private List<OrderPreferentialItem> orderPreferentialItems;
    
    @Data
    public static class OrderPreferentialItem extends GetPreferentialPriceRequest.OrderItem {
        
        private BigDecimal preferentialUnitPrice;
    }
}
