package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author zcf
 * @date 2018-05-10 09：52
 * @description POS端微信订单查询使用Request
 */
@Data
@ApiModel
public class GetWxOrdersRequest {

	@ApiModelProperty(name = "serialNo", value = "POS机sn", dataType = "String")
	private String serialNo;

	@ApiModelProperty(name = "dateTime", value = "查询时间", dataType = "String" ,example="2018-01-03")
	private String dateTime;
}
