package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-12-26 10：43
 * @description 第三方支付单撤销使用Request对象
 */
@Data
public class PostPaymentInitFacePayRequest {
	
	private String mcode;	//商户号(聚合支付平台提供)
	private String zimmetainfo; //初始化入参
	//1，表明1：1身份核验场景（姓名＋身份证号）" +
	//"2，表明1：N刷脸搜索， 支付宝UID入库" +
	//"3，表明1：N刷脸搜索， 支付宝手机号入库" +
	//"4，表明1：1身份核验场景（手机号）" +
	//"默认为4
	private String bizType = "4";
	private String cardNo;
	private String userName;
	private String payType; //支付方式@12:支付宝(人脸支付)
	private String faceType; //刷脸类型@1:人脸支付@2:刷脸生活
	private String sign;
	private String storeId;
	private String storeName;
	private String deviceId;
}
