package com.neusoft.smart.pos.dto.trade.request;

import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方支付预授权订单解冻使用Request对象
 */
@Data
public class PostPaymentUnFreezeGrantRequest {
	
	private String mcode;	//商户号(聚合支付平台提供)
	private String payType;	//支付方式(@3:支付宝当面资金授权支付)
	private Long amount;	//解冻金额单位是分(为空表示全部解冻)
	private String orderNumber;	//业务系统订单号(在业务系统中唯一)
	private String sign;	//签名(MD5加密字符串)
	
}
