package com.neusoft.smart.pos.dto.trade.request;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单补录使用Request
 */
@Data
@ApiModel
public class PostRecordOrderRequest {

	@ApiModelProperty(name = "tradeRecordOrderRequestList", value = "补录订单列表", dataType = "List")
	private List<PostTradeRecordOrderRequest> tradeRecordOrderList;

}
