package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-31 15：52
 * @description 商户支付渠道申请使用Request
 */
@Data
@ApiModel
public class PostSavePayChannelRequest {

	private String mcode;
	private String payType;
	private String appid;
	private String mchId;
	private String subAppid;
	private String subMchId;
	private String secretKey;
	private String appSecretKey;
	private String privateKey;
	private String publicKey;
	private byte[] cert;
	private String notifyUrl;
	private String refundNotifyUrl;

}
