package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-11-16 16：23
 * @description 商户结算规则信息排序保存使用Request
 */
@Data
@ApiModel
@NoArgsConstructor
public class PutBillSettlementRuleSortDetailRequest implements Serializable {
	
	@ApiModelProperty(name = "ruleId", value = "规则Id", dataType = "Integer")
	private Integer ruleId;
	
	@ApiModelProperty(name = "sort", value = "序号", dataType = "Integer")
	private Integer sort;
	
}
