package com.neusoft.smart.pos.dto.trade.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author zcf
 * @date 2018-11-16 16：23
 * @description 商户结算规则信息排序保存使用Request
 */
@Data
@ApiModel
@NoArgsConstructor
public class PutBillSettlementRuleSortRequest implements Serializable {
	
	@ApiModelProperty(name = "billRuleSortDetailList", value = "结算规则排序列表", dataType = "List")
	private List<PutBillSettlementRuleSortDetailRequest> billRuleSortDetailList;
	
}
