package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author zcf
 * @date 2018-11-06 10：20
 * @description 商户结算规则信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetBillSettlementRulesResponse implements Serializable {
    
    @ApiModelProperty(name = "billSettlementRules", value = "规则列表", dataType = "List")
    private List<GetBillSettlementRuleResponse> billSettlementRules;
}