package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.bean.PaginationExtendBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author zcf
 * @date 2018-03-06 09：39
 * @description 商户门店日报统计查询使用Response
 */
@ApiModel
@Data
public class GetDailyResponse {


	@ApiModelProperty(name = "headers", value = "表头信息列表", dataType = "list")
	public List<String> headers;

	@ApiModelProperty(name = "paginationExtendBean", value = "门店日报分页数据", dataType = "Object")
	public PaginationExtendBean<Map<String,Object>> paginationExtendBean;

//	@Data
//	@ApiModel
//	public static class DailyDetail{
//
//		@ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer" ,example="1")
//		public Integer shopId;
//
//		@ApiModelProperty(name = "shopName", value = "门店名称", dataType = "String" ,example="门店名称")
//		public String shopName = "";
//
//		@ApiModelProperty(name = "dailyDay", value = "日期", dataType = "List" ,example="2018-05-26")
//		public List<Map<String,Object>> dailyDay;
//
//	}

}
