package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author zcf
 * @date 2018-12-29 09：09
 * @description 商户餐厅列表信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetDiningRoomResponse {
	
	@ApiModelProperty(name = "shopList", value = "餐厅列表", dataType = "List")
	public List<TradeDiningRoom> shopList;
	
	@Data
	@ApiModel
	public static class TradeDiningRoom{
		
		@ApiModelProperty(name = "shopName", value = "餐厅名称", dataType = "List")
		public String shopName;
		
	}

}
