package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zcf
 * @date 2018-12-29 09：09
 * @description 商户信息查询使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetMchInfoResponse {

	@ApiModelProperty(name = "orgId", value = "集团ID", dataType = "Integer" ,example="333")
	public Integer orgId;

	@ApiModelProperty(name = "shopId", value = "门店ID", dataType = "Integer" ,example="0")
	public Integer shopId;

	@ApiModelProperty(name = "mcode", value = "商户号", dataType = "String" ,example="NEU187602332842")
	public String mcode;
	
	@ApiModelProperty(name = "mchName", value = "商户名称", dataType = "String" ,example="12312")
	public String mchName;
	
	@ApiModelProperty(name = "secretKey", value = "商户密钥", dataType = "String" ,example="7")
	public String secretKey;

}
