package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zcf
 * @date 2018-12-05 10：43
 * @description 订单补录使用Response
 */
@ApiModel
@Data
public class GetOrderRecordResponse {

	@ApiModelProperty(name = "startTime", value = "补录开始时间", dataType = "String" ,example="2018-07-09 09:40:53")
	public String startTime;
	
	@ApiModelProperty(name = "endTime", value = "补录结束时间", dataType = "String" ,example="2018-07-09 09:40:53")
	public String endTime;
	
	@ApiModelProperty(name = "recordCount", value = "补录记录条数", dataType = "String" ,example="10")
	public Integer recordCount = 0;
	
	@ApiModelProperty(name = "originalCount", value = "原始记录条数", dataType = "String" ,example="10")
	public Integer originalCount = 0;
	
	public GetOrderRecordResponse() {
	}
}
