package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class GetShiftTradeSummaryResponse {
    @ApiModelProperty(name = "totalAmount", value = "实收总金额", dataType = "String",example = "100.00")
    private String totalAmount = "0.00";

    @ApiModelProperty(name = "totalMemberPoints", value = "积分总数", dataType = "String",example = "100")
    private String totalMemberPoints = "100";

    @ApiModelProperty(name = "count", value = "记录数", dataType = "Integer",example = "1")
    private Integer count;

    @ApiModelProperty(name = "payChannels", value = "支付渠道金额明细", dataType = "List")
    private List<ShiftTradeSummary> shiftTradeSummaryList;
}
