package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单支付状态查询使用Response
 */
@ApiModel
@Data
public class GetWxOrderPayStatusResponse {

	@ApiModelProperty(name = "payStatus", value = "支付状态(@1:未付款@2:已付款)", dataType = "String" ,example="2")
	public String payStatus;

	public GetWxOrderPayStatusResponse(String payStatus) {
		this.payStatus = payStatus;
	}

	public GetWxOrderPayStatusResponse() {
	}
}
