package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方预授权解冻使用domain
 */
@Data
public class PostPaymentReverseGrantResponse {

	private String mcode;			//商户号(聚合支付平台提供)
	private String orderNumber;		//业务系统订单号
	private String sign;			//签名(MD5加密字符串)
	private String reverseStatus;		//订单状态(@1:撤销失败@2:撤销成功)
	
}
