package com.neusoft.smart.pos.dto.trade.response;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcf
 * @date 2018-11-28 10：43
 * @description 第三方预授权解冻使用domain
 */
@Data
public class PostPaymentUnFreezeGrantResponse {

	private String mcode;			//商户号(聚合支付平台提供)
	private String orderNumber;		//业务系统订单号
	private String sign;			//签名(MD5加密字符串)
	private String unFreezeStatus;		//解冻状态(@1:解冻失败@2:解冻成功)
	private String unFreezeTime;       //解冻时间YYYY-MM-DD HH:MM:SS
	private Long unFreezeAmount;        //解冻金额(单位是元)
}
