package com.neusoft.smart.pos.dto.trade.response;

import com.neusoft.smart.pos.framework.constants.ApplicationConstants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author zcf
 * @date 2018-02-28 16：20
 * @description 商户结算信息归档使用Response
 */
@Data
@ApiModel
@NoArgsConstructor
public class PutBillAcceptResponse implements Serializable {
    
    @ApiModelProperty(name = "isSuccess", value = "归档是否成功@true:成功@false:失败", dataType = "bool")
    private boolean isSuccess;
    
    public PutBillAcceptResponse(boolean isSuccess) {
        this.isSuccess = isSuccess;
    }
}