package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zcf
 * @date 2018-01-08 10：43
 * @description 订单积分更新使用Response
 */
@ApiModel
@Data
@NoArgsConstructor
public class PutOrderScoreResponse {

	@ApiModelProperty(name = "isSuccess", value = "订单取消是否更新成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	public PutOrderScoreResponse(Boolean isSuccess) {
		this.isSuccess = isSuccess;
	}
}
