package com.neusoft.smart.pos.dto.trade.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zcf
 * @date 2018-01-08 09：52
 * @description 商户支付渠道更新使用Response
 */
@Data
@ApiModel
public class PutPayChannelResponse {

	@ApiModelProperty(name = "isSuccess", value = "支付渠道更新是否成功@false:失败@true:成功", dataType = "boolean" ,example="true")
	public Boolean isSuccess;

	public PutPayChannelResponse(Boolean isSuccess) {
		this.isSuccess = isSuccess;
	}
}
