package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel
public class LoginThirdPartInfo implements Serializable {

	@ApiModelProperty(name = "channel", value = "渠道编号", dataType = "String", required = true)
    @NotNull(message = "渠道号不能为空")
    private String channel;

    @ApiModelProperty(name = "nickname", value = "昵称", dataType = "String", required = true)
    @NotNull(message = "昵称不能为空")
    private String nickname;

    @ApiModelProperty(name = "openId", value = "三方登录openId", dataType = "String", required = true)
    @NotNull(message = "openId不能为空")
    private String openId;

}
