package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Set;

@Data
@ApiModel
public class UserInfoResponse {
    @ApiModelProperty(name = "name", value = "name", dataType = "String")
    String name;
    @ApiModelProperty(name = "avatar", value = "头像", dataType = "String")
    String avatar;
    @ApiModelProperty(name = "orgId", value = "集团ID", dataType = "Integer")
    Integer orgId;
    @ApiModelProperty(name = "shopIds", value = "门店ID列表", dataType = "Set")
    Set<Integer> shopIds;
    @ApiModelProperty(name = "type", value = "角色", dataType = "String")
    String type;
    Set<String> permissionGroups;
}
