package com.neusoft.smart.pos.dto.user;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UserQuery {
    private String username;
    private String nickname;
    private String role;
    private Integer org;
    @ApiModelProperty(name = "offset", value = "起始位置", dataType = "int", example = "0")
    private Integer offset;

    @ApiModelProperty(name = "limit", value = "一页长度", dataType = "int", example = "10")
    private Integer limit;
}
