package com.neusoft.smart.pos.redis.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TablePrintBean {
	
	@ApiModelProperty(value = "餐桌名称")
	protected String tableName;
	
	private List<Menu> menuList;
	
	@Data
	public static class Menu {
		
		@ApiModelProperty(value = "菜品名")
		protected String name;
		
		@ApiModelProperty(value = "数量")
		protected Integer count;
		
		@ApiModelProperty(value = "已选口味")
		protected List<Flavor> selectedFlavors;
		
		@ApiModelProperty(value = "类别名称")
		protected String category;
	}
	
	@Data
	public static class Flavor {
		
		private Integer flavorId;
		
		private String flavor;
		
		private String remark;
	}
}
