package com.neusoft.smart.pos.gateway.constants;

/**
 * 常量
 */
public class InventoryConstant {
    
    public static final String USABLE_BATCH = "1"; //可用
    
    public static final String ZERO_BATCH = "0"; //批次库存为0
    
    public static final String SOLDOUT_BATCH = "-1"; //下架产品
    
    public static final int STOCK_ADD = 1; //1：库存增加操作；
    
    public static final int STOCK_DEC = -1; //-1：库存减少操作
    
    public static final String STOCK_IN = "10"; //10：进货
    
    public static final String USER_RETURN = "11"; //11：用户退货
    
    public static final String CHECK_ADD = "12"; //12：盘盈
    
    public static final String SUP_RETURN = "20"; //20：向供应货退货
    
    public static final String GOODS_SALE = "21"; //21：销售
    
    public static final String CHECK_DEC = "22"; //22：盘损
    
    public static final String GOODS_TAKE = "23"; //23：领用
    
    
    public static final Integer STOCK_LIMIT_BEAN_ID = 1; //库存限制 需要配置给库存管理的商品
    
    public static final Integer SELL_COUNT_LIMIT_BEAN_ID = 2;  //售卖数量限制 不是库存
    
    public static final Integer SELL_TIME_LIMIT_BEAN_ID = 3;  //售卖时间限制
    
    public static final Integer YES = 1; //是
    
    public static final Integer NO = 0; //否
    
    public static final int LOCKER_DEFAULT = 0; //默认初始
    
    public static final int LOCKER_DEDUCTED = 1; //已扣减实际库存
    
    public static final int LOCKER_CANCEL = 2; //订单取消
    
    public static final int LOCKER_TIMEOUT = 3; //锁超时无效
    
    public static final int LOCKER_RETURN = 4; //订单退货
    
}

