package com.neusoft.smart.pos.gateway.service.feignService;

import com.neusoft.smart.pos.dto.ssl.request.SSLIssueRequest;
import com.neusoft.smart.pos.dto.ssl.response.SSLFileResponse;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "service-ssl")
public interface RemoteSSLService {

	@PostMapping("/OTA/issue/certificates")
	SSLFileResponse issueCertificates(@RequestBody SSLIssueRequest sslIssueRequest);
}
