package com.neusoft.smart.pos.inventory.persistent.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class InventoryCheckStockDtlExample {
    
    protected String orderByClause;
    
    protected boolean distinct;
    
    protected List<Criteria> oredCriteria;
    
    private Integer offset;
    
    private Integer limit;
    
    public InventoryCheckStockDtlExample() {
        oredCriteria = new ArrayList<Criteria>();
    }
    
    public String getOrderByClause() {
        return orderByClause;
    }
    
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }
    
    public boolean isDistinct() {
        return distinct;
    }
    
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }
    
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }
    
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }
    
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }
    
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }
    
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }
    
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
        this.offset = null;
        this.limit = null;
    }
    
    public Integer getOffset() {
        return this.offset;
    }
    
    public void setOffset(Integer offset) {
        this.offset = offset;
    }
    
    public Integer getLimit() {
        return this.limit;
    }
    
    public void setLimit(Integer limit) {
        this.limit = limit;
    }
    
    public InventoryCheckStockDtlExample page(int offset, int limit) {
        this.offset = offset;
        this.limit = limit;
        return this;
    }
    
    protected abstract static class GeneratedCriteria {
        
        protected List<Criterion> criteria;
        
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }
        
        public boolean isValid() {
            return criteria.size() > 0;
        }
        
        public List<Criterion> getAllCriteria() {
            return criteria;
        }
        
        public List<Criterion> getCriteria() {
            return criteria;
        }
        
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }
        
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }
        
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }
        
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }
        
        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }
        
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }
        
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }
        
        public Criteria andMstIdIsNull() {
            addCriterion("mst_id is null");
            return (Criteria) this;
        }
        
        public Criteria andMstIdIsNotNull() {
            addCriterion("mst_id is not null");
            return (Criteria) this;
        }
        
        public Criteria andMstIdEqualTo(Integer value) {
            addCriterion("mst_id =", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdNotEqualTo(Integer value) {
            addCriterion("mst_id <>", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdGreaterThan(Integer value) {
            addCriterion("mst_id >", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("mst_id >=", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdLessThan(Integer value) {
            addCriterion("mst_id <", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdLessThanOrEqualTo(Integer value) {
            addCriterion("mst_id <=", value, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdIn(List<Integer> values) {
            addCriterion("mst_id in", values, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdNotIn(List<Integer> values) {
            addCriterion("mst_id not in", values, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdBetween(Integer value1, Integer value2) {
            addCriterion("mst_id between", value1, value2, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andMstIdNotBetween(Integer value1, Integer value2) {
            addCriterion("mst_id not between", value1, value2, "mstId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIsNull() {
            addCriterion("goods_id is null");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIsNotNull() {
            addCriterion("goods_id is not null");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdEqualTo(Integer value) {
            addCriterion("goods_id =", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotEqualTo(Integer value) {
            addCriterion("goods_id <>", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdGreaterThan(Integer value) {
            addCriterion("goods_id >", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_id >=", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdLessThan(Integer value) {
            addCriterion("goods_id <", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdLessThanOrEqualTo(Integer value) {
            addCriterion("goods_id <=", value, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdIn(List<Integer> values) {
            addCriterion("goods_id in", values, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotIn(List<Integer> values) {
            addCriterion("goods_id not in", values, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdBetween(Integer value1, Integer value2) {
            addCriterion("goods_id between", value1, value2, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andGoodsIdNotBetween(Integer value1, Integer value2) {
            addCriterion("goods_id not between", value1, value2, "goodsId");
            return (Criteria) this;
        }
        
        public Criteria andSupplierIsNull() {
            addCriterion("supplier is null");
            return (Criteria) this;
        }
        
        public Criteria andSupplierIsNotNull() {
            addCriterion("supplier is not null");
            return (Criteria) this;
        }
        
        public Criteria andSupplierEqualTo(String value) {
            addCriterion("supplier =", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierNotEqualTo(String value) {
            addCriterion("supplier <>", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierGreaterThan(String value) {
            addCriterion("supplier >", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierGreaterThanOrEqualTo(String value) {
            addCriterion("supplier >=", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierLessThan(String value) {
            addCriterion("supplier <", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierLessThanOrEqualTo(String value) {
            addCriterion("supplier <=", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierLike(String value) {
            addCriterion("supplier like", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierNotLike(String value) {
            addCriterion("supplier not like", value, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierIn(List<String> values) {
            addCriterion("supplier in", values, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierNotIn(List<String> values) {
            addCriterion("supplier not in", values, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierBetween(String value1, String value2) {
            addCriterion("supplier between", value1, value2, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andSupplierNotBetween(String value1, String value2) {
            addCriterion("supplier not between", value1, value2, "supplier");
            return (Criteria) this;
        }
        
        public Criteria andStockNumIsNull() {
            addCriterion("stock_num is null");
            return (Criteria) this;
        }
        
        public Criteria andStockNumIsNotNull() {
            addCriterion("stock_num is not null");
            return (Criteria) this;
        }
        
        public Criteria andStockNumEqualTo(BigDecimal value) {
            addCriterion("stock_num =", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumNotEqualTo(BigDecimal value) {
            addCriterion("stock_num <>", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumGreaterThan(BigDecimal value) {
            addCriterion("stock_num >", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("stock_num >=", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumLessThan(BigDecimal value) {
            addCriterion("stock_num <", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumLessThanOrEqualTo(BigDecimal value) {
            addCriterion("stock_num <=", value, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumIn(List<BigDecimal> values) {
            addCriterion("stock_num in", values, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumNotIn(List<BigDecimal> values) {
            addCriterion("stock_num not in", values, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock_num between", value1, value2, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andStockNumNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock_num not between", value1, value2, "stockNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumIsNull() {
            addCriterion("check_num is null");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumIsNotNull() {
            addCriterion("check_num is not null");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumEqualTo(BigDecimal value) {
            addCriterion("check_num =", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumNotEqualTo(BigDecimal value) {
            addCriterion("check_num <>", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumGreaterThan(BigDecimal value) {
            addCriterion("check_num >", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("check_num >=", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumLessThan(BigDecimal value) {
            addCriterion("check_num <", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumLessThanOrEqualTo(BigDecimal value) {
            addCriterion("check_num <=", value, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumIn(List<BigDecimal> values) {
            addCriterion("check_num in", values, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumNotIn(List<BigDecimal> values) {
            addCriterion("check_num not in", values, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("check_num between", value1, value2, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andCheckNumNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("check_num not between", value1, value2, "checkNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumIsNull() {
            addCriterion("diff_num is null");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumIsNotNull() {
            addCriterion("diff_num is not null");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumEqualTo(BigDecimal value) {
            addCriterion("diff_num =", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumNotEqualTo(BigDecimal value) {
            addCriterion("diff_num <>", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumGreaterThan(BigDecimal value) {
            addCriterion("diff_num >", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("diff_num >=", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumLessThan(BigDecimal value) {
            addCriterion("diff_num <", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumLessThanOrEqualTo(BigDecimal value) {
            addCriterion("diff_num <=", value, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumIn(List<BigDecimal> values) {
            addCriterion("diff_num in", values, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumNotIn(List<BigDecimal> values) {
            addCriterion("diff_num not in", values, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("diff_num between", value1, value2, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andDiffNumNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("diff_num not between", value1, value2, "diffNum");
            return (Criteria) this;
        }
        
        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }
        
        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }
        
        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }
        
        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }
    
    public static class Criteria extends GeneratedCriteria {
        
        protected Criteria() {
            super();
        }
    }
    
    public static class Criterion {
        
        private String condition;
        
        private Object value;
        
        private Object secondValue;
        
        private boolean noValue;
        
        private boolean singleValue;
        
        private boolean betweenValue;
        
        private boolean listValue;
        
        private String typeHandler;
        
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }
        
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }
        
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }
        
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }
        
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
        
        public String getCondition() {
            return condition;
        }
        
        public Object getValue() {
            return value;
        }
        
        public Object getSecondValue() {
            return secondValue;
        }
        
        public boolean isNoValue() {
            return noValue;
        }
        
        public boolean isSingleValue() {
            return singleValue;
        }
        
        public boolean isBetweenValue() {
            return betweenValue;
        }
        
        public boolean isListValue() {
            return listValue;
        }
        
        public String getTypeHandler() {
            return typeHandler;
        }
    }
}