package com.neusoft.smart.pos.card.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class GetCardInfoResponse implements Serializable{

    private Integer cardId;
    private String cardNum;
    private String cardAnotherId;
    private String cardOtherId;
    private Integer cardPoint;
    private Long cardBalance;

    @ApiModelProperty(name = "cardInfoList", value = "查询结果列表", dataType = "List", example = "")
    List<CardInfo> cardInfoList;

    @Data
    @ApiModel
    public static class CardInfo implements Serializable {
        private Integer cardId;
        private String cardNum;
        private String cardAnotherId;
        private String cardOtherId;
        private Integer cardPoint;
        private Long cardBalance;
    }
}
