package com.neusoft.smart.pos.card.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class UpdateCardInfoRequest {


    @NotNull(message = "cardId is required")
    @ApiModelProperty(name = "cardId", value = "卡ID", dataType = "Integer", required = true, example="1255466")
    private Integer cardId;

    @ApiModelProperty(name = "cardNum", value = "卡号", dataType = "String", example="16576332")
    private String cardNum;

    @ApiModelProperty(name = "cardAnotherId", value = "卡识别码2", dataType = "String", example="13524663258")
    private String cardAnotherId;

    @ApiModelProperty(name = "cardOtherId", value = "卡识别码3", dataType = "String", example="张三")
    private String cardOtherId;
}
