package com.neusoft.smart.pos.org.controller;

import java.util.List;

import com.neusoft.smart.pos.dto.org.response.CityRegionDictResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;
import com.neusoft.smart.pos.org.service.CityRegionDictionaryService;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/Region")
public class CityRegionDictionaryController {
    @Resource
    CityRegionDictionaryService cityRegionDictionaryService;

    @GetMapping("/getCitys")
    public ResponseData<List<CityRegionDictResponse>> getCitys(String parentId) {
        return new ResponseData<>(cityRegionDictionaryService.getCitys(parentId));
    }
}
