package com.neusoft.smart.pos.org.service;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.neusoft.smart.pos.dto.device.request.DeviceStoreRequest;
import com.neusoft.smart.pos.dto.device.response.DeviceResponse;
import com.neusoft.smart.pos.framework.dto.ResponseData;

import javax.validation.Valid;

@FeignClient(value = "service-device")
public interface RemoteDeviceService {	
	@PutMapping("/device/store")
	ResponseData<DeviceResponse> updateStatus(@Valid @RequestBody DeviceStoreRequest deviceStoreRequest);
}
