package com.neusoft.smart.pos.org.service;

import com.neusoft.smart.pos.org.dto.User;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "service-user")
public interface RemoteUserService {
    @GetMapping("/user")
    User getUser(@RequestParam("username") String username);
}