package com.neusoft.smart.pos.printer.persistent.ext.domain;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zcf
 * @date 2018-10-18 10：43
 * @description 订单打印对象
 */
@Data
public class PrinterObject {

	private Object originalTarget;	//打印原始对象
	private PrinterTarget printerTarget;	//打印对象

	/**
	 * @author zcf
	 * @date 2018-10-18 10：43
	 * @description 订单打印对象
	 */
	@Data
	public static class PrinterTarget{
		private List<Printer> printers = new ArrayList<>();	//打印商品明细列表,每条记录是一个打印任务
	}
}
