package com.neusoft.smart.pos.payment.constants;

/**
 * 常量
 */
public class ChinaumsPayConstants {

     /**
      * 微信及支付宝内支付
      */
     //测试地址
     public static final String DOMAIN_API = "https://qr-test2.chinaums.com/netpay-route-server/api/";
    //生产地址
//    public static final String DOMAIN_API = "https://qr.chinaums.com/netpay-route-server/api/";

     public static final String FIELD_SIGN = "sign";

     public static final String ORDER_NUMBER_PREFIX = "3194";

     /**
      * 公众号支付
      */
     //测试地址
     //下单接口
     public static final String DOMAIN_API_PAY = "https://qr-test2.chinaums.com/netpay-portal/webpay/pay.do";
     //生产地址
     //下单接口
//    public static final String DOMAIN_API_PAY = "https://qr.chinaums.com/netpay-portal/webpay/pay.do";
     
     /**
      * 银商B扫C支付
      */
     //B扫C支付地址
     public static final String DOMAIN_BSC_PAY = "http://58.247.0.18:29015/v2/poslink/transaction/pay"; //测试地址
     //public static final String DOMAIN_BSC_PAY = "https://api-mop.chinaums.com/v2/poslink/transaction/pay"; //生产地址
     
     //B扫C冲正地址
     public static final String DOMAIN_BSC_REVERSE = "http://58.247.0.18:29015/v2/poslink/transaction/reversepayment"; //测试地址
     //public static final String DOMAIN_BSC_REVERSE = "https://api-mop.chinaums.com/v2/poslink/transaction/reversepayment"; //生产地址
     
     //B扫C支付撤消地址
     public static final String DOMAIN_BSC_VOID = "http://58.247.0.18:29015/v2/poslink/transaction/voidpayment"; //测试地址
     //public static final String DOMAIN_BSC_VOID = "https://api-mop.chinaums.com/v2/poslink/transaction/voidpayment"; //生产地址
     
     //B扫C交易退款
     public static final String DOMAIN_BSC_REFUND = "http://58.247.0.18:29015/v2/poslink/transaction/refund"; //测试地址
     //public static final String DOMAIN_BSC_REFUND = "https://api-mop.chinaums.com/v2/poslink/transaction/refund"; //生产地址
     
     //B扫C交易状态查询
     public static final String DOMAIN_BSC_QUERY = "http://58.247.0.18:29015/v2/poslink/transaction/query"; //测试地址
     //public static final String DOMAIN_BSC_QUERY = "https://api-mop.chinaums.com/v2/poslink/transaction/query"; //生产地址
     
     //商户标记
     public static final String MCH_REMARK = "Neusoft";
     
     //B扫C支付方式
     public static final String PAY_MODE = "CODE_SCAN";
     
     //货币代码
     public static final String CURRENCY_CODE = "156";
     
     //返回结果成功标志
     public static final String BSC_SUCCESS = "00";
     
   //返回结果成功标志
     public static final String QUERY_SUCCESS = "0";
}

