package com.neusoft.smart.pos.payment.controller;

import com.neusoft.smart.pos.payment.service.AliGrantPayNotifyService;
import com.neusoft.smart.pos.payment.service.AliPayNotifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping(path = "/aliGrantPayNotify")
public class AliGrantPayNotifyController {

	@Autowired
	private AliGrantPayNotifyService aliGrantPayNotifyService;

	/**
	 * 支付宝支付成功回调方法
	 * @return
	 */
	@ApiIgnore
	@RequestMapping(value = "payNotify")
	public String aliPayNotify(HttpServletRequest request){
		return aliGrantPayNotifyService.aliPayNotifyDataHandle(request);
	}

}
	