package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ChinaumsPayServiceRefundOrder implements Serializable {
    private String msgSrc;           //消息来源
    private String msgType;          //消息类型 bills.refund
    private String requestTimestamp;       //报文请求时间，格式yyyy-MM-dd HH:mm:ss
    private String mid;       //商户号
    private String tid;       //终端号
    private String instMid;       //业务类型 QRPAYDEFAULT
    private String merOrderId;       //账单号
    private String refundAmount;       //退款金额
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
}