package com.neusoft.smart.pos.payment.persistent.ext.domain;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformCreateOrder implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String tradeId;             //聚合支付平台交易流水
    private String mOrderNumber;        //业务平台订单号
    private String outerOrderNumber;    //第三方支付平台订单号
    private String outerCodeUrl;        //第三方支付平台返回支付二维码
    private String payStatus = DictionaryConstant.PAY_STATUS_WFK.getCode();           //第三方支付平台返回支付结果@1:未支付@2:已支付
}