package com.neusoft.smart.pos.payment.persistent.ext.domain;

import com.neusoft.smart.pos.constants.DictionaryConstant;
import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformGrantToPay implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String tradeId;             //聚合支付平台交易流水
    private String mOrderNumber;        //业务平台预授权订单号
    private String mPayOrderNumber;     //业务平台支付订单号
    private String outerOrderNumber;    //第三方支付平台预授权流水号
    private String outerPayOrderNumber;    //第三方支付平台支付交易流水号
    private String authNo;              //第三方支付平台资金授权订单号
    private String paidTime;            //支付完成时间2014-11-27 15:45:57
    private Long payAmount;             //支付交易金额，单位分
    private String payStatus = DictionaryConstant.PAY_STATUS_WFK.getCode();           //第三方支付平台返回支付结果@1:未支付@2:已支付
}