package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformInitFacePay implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String initStatus;  //初始化状态@0:初始化失败@1:初始化成功
    private String zimId;   //支付宝刷脸调用的标识
    private String zimInitClientData;   //刷脸的下发协议数据
    private String authinfo;   //微信SDK调用凭证。用于调用SDK的人脸识别接口。
    private String expiresIn;   //微信authinfo的有效时间, 单位秒。 例如: 3600
}