package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ThirdPlatformRefundOrder implements Serializable {
    private String mcode;               //聚合支付平台商户号
    private String mOrderNumber;        //业务平台订单号
    private String payType;             //支付方式@1:微信扫码支付@2:支付宝扫码支付@3:支付宝当面资金授权支付@4:银联二维码支付
    private String refundStatus;        //订单状态(@0:申请退款失败@1:退款中@2:退款完成@3:订单未支付无法申请退款
    private String refundNumber;        //商户退款单号
    private String thirdRefundNumber;   //第三方平台退款单号
    private Long refundAmount;          //退款金额
}