package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WFTPayCreateOrder implements Serializable {
    private String service = "unified.trade.micropay";           //接口类型：unified.trade.micropay
    private String mch_id;          //商户号 1230000109 微信支付分配的商户号
    private String out_trade_no;       //商户系统内部的订单号 ,5到32个字符、 只能包含字母数字或者下划线，区分大小写，每次下单请求确保在商户系统唯一
    private String body;            //商品描述 商品简单描述
    private String total_fee;      //标价金额 订单总金额，单位为分
    private String mch_create_ip;    //订单生成的机器 IP
    private String auth_code;       //商户主扫授权码，设备读取用户微信中的条码或者二维码信息
    private String nonce_str;  //随机字符串
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
}