package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class XYHFPayRefundOrder implements Serializable {
    private String REFUND_SEQ;           //退款流水号 退款唯一识别编号，不能重复
    private String OUT_TRADE_NO;           //商户订单号（与支付凭证条形码二选一，两个都送默认取商户订单号）
    private String TRAN_AMT;          //订单金额 单位为分
    private String REFUND_FEE;       //退款金额 单位为分
    private String REFUND_TYPE;     //退款类型 0：全款退款1：部分退款
    private String OPENPL_APPID;    //开放平台唯一标识
    private String SIGNATURE;       //签名 见签名规则
}