package com.neusoft.smart.pos.payment.repository;

import com.neusoft.smart.pos.dto.payment.request.PostInitFacePayRequest;
import com.neusoft.smart.pos.payment.persistent.domain.GrantPayOrder;
import com.neusoft.smart.pos.payment.persistent.domain.MchPayChannel;
import com.neusoft.smart.pos.payment.persistent.domain.PayTypeDict;
import com.neusoft.smart.pos.payment.persistent.ext.domain.*;

/**
 * @author zcf
 * @date 2018-12-26 10：43
 * @description 第三方支付资金预授权实现类使用接口
 */
public interface IThirdFacePayRepository {
	
	/**
	 * 人脸支付初始化使用方法
	 * @return
	 */
	ThirdPlatformInitFacePay initFacePay(PostInitFacePayRequest initFacePayRequest, MchPayChannel mchPayChannel, PayTypeDict payTypeDict);
	
	/**
	 * 刷脸生活初始化使用方法
	 * @return
	 */
	ThirdPlatformInitFacePay initFaceLive(PostInitFacePayRequest initFacePayRequest, MchPayChannel mchPayChannel, PayTypeDict payTypeDict);
}
