package com.neusoft.smart.pos.payment.constants;

/**
 * 常量
 */
public class WXPayConstants {

     public static final String DOMAIN_API = "https://api.mch.weixin.qq.com";
     public static final String FACE_DOMAIN_API = "https://payapp.weixin.qq.com";

    /**
     * 微信预付单生成接口
     */
     public static final String UNIFIEDORDER_URL_SUFFIX = "/pay/unifiedorder";
    /**
     * 微信预付单信息查询接口
     */
     public static final String ORDER_QUERY_URL_SUFFIX = "/pay/orderquery";
    /**
     * 微信预付单信息取消接口
     */
    public static final String ORDER_CANNEL_URL_SUFFIX = "/pay/closeorder";
    /**
     * 微信预付单退款接口
     */
    public static final String ORDER_REFUND_URL_SUFFIX = "/secapi/pay/refund";
    /**
     * 微信预付单信息撤销接口
     */
    public static final String ORDER_REVERSE_URL_SUFFIX = "/secapi/pay/reverse";
    /**
     * 商户主动扫码支付接口
     */
    public static final String MICROPAY_URL_SUFFIX = "/pay/micropay";
    
    /**
     * 人脸支付初始化接口
     */
    public static final String INIT_PAY_FACE_SUFFIX = "/face/get_wxpayface_authinfo";
    
    /**
     * 人脸支付付款接口
     */
    public static final String FACE_PAY_SUFFIX = "/pay/facepay";
    
    /**
     * 人脸支付付款查询接口
     */
    public static final String FACE_PAY_QUERY_SUFFIX = "/pay/facepayquery";
}

