package com.neusoft.smart.pos.payment.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class FumaoLoginRequest {
    @NotNull
    @ApiModelProperty(name = "phone", value = "操作员登录手机号", dataType = "String" ,example="13500000000",required=true)
    private String phone;

    @NotNull
    @ApiModelProperty(name = "password", value = "密码", dataType = "String" ,example="213124578",required=true)
    private String password;

    @ApiModelProperty(name = "sn", value = "POS机SN", dataType = "String", required = false)
    private String sn;
}
