package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class BizPayRefundNotify implements Serializable {
    private String mcode;           //商户号
    private String orderNumber;     //业务系统订单编号
    private String refundNumber;     //业务系统退款流水号
    private String refundAmount;     //退款金额(单位分)
    private String payType;         //支付方式@1:微信扫码支付 @2:支付宝扫码支付   @3:支付宝当面资金授权支付   @4:银联二维码支付
    private String refundStatus;         //退款状态1：成功
    private String refundTime;         //退款完成时间 资金退款至用户帐号的时间，格式2017-12-15 09:46:01
    private String thirdRefundNumber;       //第三方支付平台退款流水ID
    private String sign;            //签名
}