package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ChinaumsBscPayCreateOrder implements Serializable {
    private String	merchantCode;           //商户号
    private String	terminalCode;          //终端号
    private Long	transactionAmount;    //交易金额  单位：分
    private String	transactionCurrencyCode;             //交易币种  需填入156
    private String	merchantOrderId;             //商户订单号
    private String	merchantRemark;            //商户备注
    private String	payMode;      //支付方式   CODE_SCAN – 扫码
    private String	payCode;       //支付码
}