package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class ChinaumsPayCreateOrder implements Serializable {
    private String msgSrc;           //消息来源
    private String msgType;          //消息类型
    private String requestTimestamp;           //报文请求时间，格式yyyy-MM-dd HH:mm:ss
    private String mid;             //商户号
    private String tid;             //终端号
    private String instMid;            //业务类型
    private String expireTime;      //账单过期时间，为空则不过期，格式yyyy-MM-dd HH:mm:ss
    private String notifyUrl;       //支付结果通知地址
    private String billNo;          //账单号
    private String billDate;        //账单日期，格式yyyy-MM-dd
    private String totalAmount;     //支付总金额
    private String sign;            //签名 C380BEC2BFD727A4B6845133519F3AD6 通过签名算法计算得出的签名值
}