package com.neusoft.smart.pos.payment.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class WeixinPayRefundNotify implements Serializable {

    private String appid;           //微信分配的公众账号ID（企业号corpid即为此appId）
    private String mch_id;           //微信支付分配的商户号
    private String sub_mch_id;           //微信支付分配的商户号
    private String transaction_id;           //微信订单号
    private String out_trade_no;           //商户系统内部的订单号
    private String refund_id;           //微信退款单号
    private String out_refund_no;           //商户退款单号
    private String total_fee;           //订单总金额，单位为分，只能为整数
    private String refund_fee;           //退款总金额,单位为分
    private String settlement_refund_fee;           //退款金额=申请退款金额-非充值代金券退款金额，退款金额<=申请退款金额
    private String refund_status;           //退款状态SUCCESS-退款成功 CHANGE-退款异常 REFUNDCLOSE—退款关闭
    private String success_time;           //退款成功时间 资金退款至用户帐号的时间，格式2017-12-15 09:46:01

}