package com.neusoft.smart.pos.report.dto;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class BusinessGroupRequest extends AbstractQuery {
private String orgName;
    /**
     * 营业组
     */
    private Integer orgGroupId ;
    @ApiModelProperty(name = "startTime", value = "时间", dataType = "String" ,example="中午")
    private String startTime;
    @ApiModelProperty(name = "endTime", value = "时间", dataType = "String" ,example="中午")
    private String endTime;
}
