package com.neusoft.smart.pos.report.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;

@Data
@ApiModel
public class PersonaConsumptionResponse {

    private Integer total;

    private List<MemberPersona> row;
    @Data
    @ApiModel
    public static class MemberPersona {
        private String hidNumber;
        private String employeeNumber;
        private String employeeName;
        private Timestamp consumeTime;
        private BigDecimal depositAmount;
        private BigDecimal cosumeAmount;
        private BigDecimal balance;
        private String mealTimes;

        private String orgName;
        private String shopName;
        private int payType;
        private String deviceName;
    }

}
