package com.neusoft.smart.pos.report.dto;

import com.neusoft.smart.pos.dto.AbstractQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class RechargeRecordRequest  extends AbstractQuery {
    /**
     * 营业组
     */
    private String orgName;
    /**
     * 营业组Id
     */
    private Integer orgGroupId ;

    private String orderNumber;
    private String memberName;
    private String deviceName;
    private String cardNum;
    private String memberCardNo;
    private String payTypeName;
    private Integer orderStatus;

    /**
     * 窗口机编号
     */
    @ApiModelProperty(name = "serialNo", value = "窗口机编号", dataType = "String", example = "12558336696")
    private  String serialNo;

    @ApiModelProperty(name = "startTime", value = "日期", dataType = "String" ,example="2018-01-01")
    private String startTime;
    @ApiModelProperty(name = "endTime", value = "日期", dataType = "String" ,example="2018-01-01")
    private String endTime;

    private String chargeOrg;

}
