package com.neusoft.smart.pos.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.neusoft.smart.pos.dto.member.request.MemberRechargeRequest;
import com.neusoft.smart.pos.framework.bean.PaginationExtendBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class RechargeRecordResponse {

//    @ApiModelProperty(name = "paginationExtendBean", value = "当页数据", dataType = "Object")
//    public PaginationExtendBean<MemberRecharge> paginationExtendBean;
    /**
     * 新加的总数
     */
    private Integer total;
    private List<MemberRecharge> row;
    @Data
    @ApiModel
   public static class MemberRecharge {
        private String orderNumber;
        private String realPayAmount;
        private String cardNum;
        private String memberName;
        private String balance;
        //private String path;
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date createdAt;
        private String balanceBefore;
        private Integer  payType;
        private String payTypeName;
        private String chargeShop;
        private Long chargeShopId;
        private String serialNo;
        private String chargeOrg;
        private String deviceName;
        private Integer orgId;
        private Integer  orderStatus;
        private String memberCardNo;
        private String orgName;
        private String operator;
    }
}
