package com.neusoft.smart.pos.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class RefundRecordResponse {
    /**
     * 新加的总数
     */
    private Integer total;
    private List<MemberRefund> row;
    @Data
    @ApiModel
    public static class MemberRefund {
        private int refundNumber;
        private Float refundAount;
        private String path;

        private Date refundTime;
        private String hidNumber;
        private String employeeName;
        private int payType;
        private long id;
        private long sellerOrgId;
        private String originalOrderNumber;
        private String orgName;
        private String serialNo;
        private String deviceName;
    }
}
