package com.neusoft.smart.pos.report.persistent.repository;



import com.neusoft.smart.pos.report.persistent.domain.PersonaConsumptionExample;
import com.neusoft.smart.pos.report.persistent.domain.PersonaConsumptionExt;
import com.neusoft.smart.pos.report.persistent.mapper.PersonaConsumptionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class PersonaConsumptionRepository {

    @Autowired
    private PersonaConsumptionMapper personaConsumptionMapper ;

    public Integer queryMemberOrderDetailsCount(PersonaConsumptionExample example){

        return personaConsumptionMapper.queryMemberOrderDetailsCount(example);
    }
    public List<PersonaConsumptionExt> getList(PersonaConsumptionExample example) {
        return personaConsumptionMapper.selectPersContionByExample(example);
    }

}
