package com.neusoft.smart.pos.trade.controller;


import com.neusoft.smart.pos.dto.trade.request.PostGrantPaySuccessNotifyRequest;
import com.neusoft.smart.pos.dto.trade.response.PostGrantPaySuccessNotifyResponse;
import com.neusoft.smart.pos.trade.service.GrantPayNotifyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@ApiIgnore
@RestController
@RequestMapping(path = "/grantPayNotify")
public class GrantPayNotifyController {

	@Autowired
	private GrantPayNotifyService grantPayNotifyService;

	@ApiOperation(value = "不知道哪用了",notes="未使用gateway,ota web未使用")
	@PostMapping("/grantPaySuccessNotify")
	public PostGrantPaySuccessNotifyResponse grantPaySuccessNotify(@RequestBody PostGrantPaySuccessNotifyRequest grantPaySuccessNotify) {
		return grantPayNotifyService.grantPaySuccessNotify(grantPaySuccessNotify);
	}


}
	