package com.neusoft.smart.pos.trade.persistent.ext.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class BillSettlementRuleExt implements Serializable {
    private Integer id;
    private Integer ruleId;
    private Integer orgId;
    private Integer shopId;
    private String rateStartTime;
    private String rateEndTime;
    private Integer sortNo;
    private Integer version;
    private String remark;
    private Date createdAt;
    private String createdBy;
    private String updatedBy;
    private Date updatedAt;

    private List<BillSettlementRuleDetailExt> billSettlementRuleDetailExtList;
}