package com.neusoft.smart.pos.user.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class LogoutRequest {
    @ApiModelProperty(name = "username", value = "用户名", dataType = "String", required = true)
    @NotNull(message = "用户名不能为空")
    private String username;
    @ApiModelProperty(name = "sn", value = "POS机SN", dataType = "String", required = true)
    @NotNull(message = "POS机SN不能为空")
    private String sn;
    @ApiModelProperty(name = "isShift", value = "是否交接班", dataType = "String", required = false)
    private String isShift;
}
